HTML elements

HTML elements are the tags that you use to construct and format HTML pages. The topics in this section describe the elements, list the attributes that you can use with them, and show the proper syntax for using them.


!-- --

<!-- -->

Comments are ignored by the HTML parser. All text between the beginning of the comment <!-- and the end of the comment --> is ignored.

White space is allowed within the comment but not between the opening <!-- and closing -->. Comments do not nest.

Both the start and end tags are required.


!DOCTYPE

<!DOCTYPE>

Specifies the DTD the document corresponds to.

Different versions may be used depending on the level of compatibility the author wishes to indicate. In the examples below, the first indicates compatibility with the HTML 3.2 DTD; the second indicates a strict adherence to the HTML 4.0 DTD.

Examples

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">

<<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN">

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN">


A

<A
ACCESSKEY=string
HREF=string
CLASS=string
DATAFLD=colname
DATASRC=#ID
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
METHODS=string
NAME=string
REL=string
REV=string
STYLE=string
TARGET=string
event = script
>

Anchor elements designate the start or destination of a hypertext link. The Anchor element requires the HREF= or the NAME= attribute to be specified.

ACCESSKEY=
Specifies an accelerator for the element.
HREF=
Specifies the destination URL or anchor point.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
DATAFLD=
The column name from the data source object that supplies the bound data.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
METHODS=
The METHODS attributes of anchors and links provide information about the functions that the user may perform on an object. These are more accurately given by the HTTP protocol when it is used, but it may, for similar reasons as for the TITLE= attribute, be useful to include the information in advance in the link. For example, the HTML user agent may chose a different rendering as a function of the methods allowed; for example, something that is searchable may get a different icon.
NAME=
Specifies the name of the control, bookmark, or applet.
REL=
The REL attribute gives the relationship(s) described by the hypertext link from the anchor to the target. The value is a comma-separated list of relationship values. Values and their semantics will be registered by the HTML registration authority. The default relationship if none other is given is void. The REL attribute is only used when the HREF= attribute is present.
REV=
The REV attribute is the same as the REL= attribute, but the semantics of the link type are in the reverse direction. A link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor may have both REL and REV attributes.
STYLE=
Specifies an in-line style sheet for the tag.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onblur onclick

ondblclick onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onselectstart

Text and/or images may be within an anchor. To represent images that are anchors, a border in the visited or not visited color is displayed.

Both the start and end tags are required.

Example

<A HREF="http://www.microsoft.com">This is a link to Microsoft.</A>

<A HREF="home.htm">This is a link to a file called home.htm in the same

directory as this page.</A>

<A TARGET="viewer" HREF="sample.htm">Click here to load the link into

"viewer" window.</A>


ADDRESS

<ADDRESS
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The Address element is used to specify information such as address, signature and authorship.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


APPLET

<APPLET
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
CODE=string
CODEBASE=string
DISABLED
HSPACE=variant
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MAYSCRIPT
NAME=string
SRC=string
STYLE=string
TITLE=string
VSPACE=string
event = script
>

Places executable content on the page.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
CODE=
The name of the file containing the compiled java class.
CODEBASE=
This is an optional parameter that specifies the base URL for the applet.
DISABLED
Used to disable an element.
HSPACE=
Along with VSPACE= , specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MAYSCRIPT
Used to designate whether the applet can take advantage of javascript classes.
NAME=
Specifies the name of the control, bookmark, or applet.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VSPACE=
Along with HSPACE= , specifies margins for the element.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onload

onmousedown onmousemove

onmouseout onmouseover

onmouseup onreadystatechange

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

Both the start and end tags are required.


AREA

<AREA
COORDS=string
HREF=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOHREF
SHAPE=CIRC | CIRCLE | POLY | POLYGON | RECT | RECTANGLE
STYLE=string
TARGET=string
TITLE=string
event = script
>

Specifies the shape of a "hot spot" in a client-side image MAP.

COORDS=
Coordinates that define the hot spot's shape.
HREF=
Specifies the destination URL or anchor point.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOHREF
Indicates that clicks in this region should cause no action.
SHAPE=
Specifies the type of shape used in the image map.
STYLE=
Specifies an in-line style sheet for the tag.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onblur onclick

ondragstart onfocus

onhelp onkeydown

The start tag is required, and the end tag is optional.


B

<B
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The Bold element specifies that the text should be rendered in boldface, where available.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<B>Displayed in a bold typeface.</B>


BASE

<BASE
HREF=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
TARGET=string
TITLE=string
>

Specifies the document's base URL.

HREF=
Specifies the document's full URL in case the document gets read out of context and the reader wants to refer to the original.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.

Base is used to ensure that your document is not reviewed out of context.

This element may only be used within the HEAD tag.


BASEFONT

<BASEFONT
FACE=string
CLASS=string
ID=string
LANG=string
TITLE=string
>

Sets a base font value to be used as the default font when rendering text.

FACE=
Sets the current fonts typeface.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
TITLE=
The Title attribute is used to provide advisory information.

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.


BGSOUND

<BGSOUND
BALANCE=string
CLASS=string
ID=string
LANG=string
LOOP=string
SRC=string
TITLE=string
VOLUME=string
>

The BGSOUND tag allows you to create pages with background sounds or "soundtracks."

BALANCE=
To be provided
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LOOP=
Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.
SRC=
Specifies the URI of a sound to be played.
TITLE=
The Title attribute is used to provide advisory information.
VOLUME=
To be provided

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.


BIG

<BIG
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies that the enclosed text should be displayed in a relatively bigger font than the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


BLOCKQUOTE

<BLOCKQUOTE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Sets apart a quotation in text.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


BODY

<BODY
ACCESSKEY=string
ALINK=color
BACKGROUND=string
BGCOLOR=color
BGPROPERTIES=FIXED
BOTTOMMARGIN=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
LEFTMARGIN=variant
LINK=color
RIGHTMARGIN=string
SCROLL=string
STYLE=string
TEXT=color
TITLE=string
TOPMARGIN=string
VLINK=color
event = script
>

Specifies beginning and end of document body. This element can be used to set the background image, the background color, the link color and the top and left margins of the page. The end tag is required.

ACCESSKEY=
Specifies an accelerator for the element. Pressing control-key selects this anchor element in the user's browser.
ALINK=
The color for the active link.
BACKGROUND=
Specifies a background picture. The picture is tiled behind the text and graphics on the page.
BGCOLOR=
Sets the background color of the page.
BGPROPERTIES=
Specifies a watermark, which is a background picture that does not scroll.
BOTTOMMARGIN=
Specifies the bottom margin for the entire body of the page and overrides the default margin.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
LEFTMARGIN=
Specifies the left margin for the entire body of the page and overrides the default margin.
LINK=
The color of shortcuts that have not yet been visited.
RIGHTMARGIN=
Specifies the right margin for the entire body of the page and overrides the default margin.
SCROLL=
Turns on or off the scrollbars.
STYLE=
Specifies an in-line style sheet for the tag.
TEXT=
Sets the color of text on the page.
TITLE=
The Title attribute is used to provide advisory information.
TOPMARGIN=
Specifies the margin for the top of the page and overrides the default margin.
VLINK=
The color of shortcuts that have already been visited.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit onscroll

onselectstart

The BODY element is exposed as the BODY property on the document object.

This element is a block element.

Examples

This is the HTML used to insert the background image of this page.

<BODY BACKGROUND="/ie/images/watermrk.gif" BGPROPERTIES=FIXED

BGCOLOR=#FFFFFF TEXT=#000000 LINK=#ff6600 VLINK=#330099>

<HTML><BODY>Here's a Web page!</BODY></HTML>


BR

<BR
CLEAR=ALL | LEFT | RIGHT
CLASS=string
ID=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Inserts a line break.

CLEAR=
Inserts vertical space so that the next text displayed will be past left- or right-aligned floating images.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onselectstart


BUTTON

<BUTTON
ACCESSKEY=string
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
TYPE=BUTTON | RESET | SUBMIT
event = script
>

The contents are rendered as a HTML button.

ACCESSKEY=
Specifies an accelerator for the element.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
The author can define a button that will have UI that indicates default for the ENTER key (a dark border), and a button that will have default behavior for the ESC key.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onscroll

onselectstart

This element is a block element.

Both the start and end tags are required.


CAPTION

<CAPTION
ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BOTTOM | TOP
event = script
>

Specifies a caption for a TABLE.

ALIGN=
Specifies the alignment of the caption.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Specifies whether the caption appears at the top or bottom.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onclick ondblclick

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onscroll

onselectstart

This element is a block element.

Both the start and end tags are required.


CENTER

<CENTER
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Causes subsequent text and images to be centered.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.

Example

<CENTER>This text appears centered on the page.</CENTER>


CITE

<CITE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in italics.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


CODE

<CODE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a code sample.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onmousedown onmousemove

onmouseout onmouseover

onmouseup

onselectstart

Both the start and end tags are required.


COL

<COL
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
SPAN=integer
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
>

Used to specify column based defaults for the table properties.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
SPAN=
Specifies how many columns are in the group.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.

This element is a block element.

Both the start and end tags are required.


COLGROUP

<COLGROUP
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
SPAN=integer
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
>

Used as a container for a group of columns.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
SPAN=
Specifies how many columns are in the group.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.

Both the start and end tags are required.


COMMENT

<COMMENT
ID=string
LANG=string
TITLE=string
>

This element is no longer recommended. Indicates a comment that will not be displayed. This element is provided for backward compatibility. When authoring documents, use the <!-- --> comment element for comments instead.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
TITLE=
The Title attribute is used to provide advisory information.

Both the start and end tags are required.


DD

<DD
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The definition in a definition list. Usually indented from the definition list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


DFN

<DFN
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Indicates the defining instance of a term.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


DIR

<DIR
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Denotes a directory list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


DIV

<DIV
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The DIV element is used with the CLASS= attribute to represent different kinds of containers.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit onscroll

onselectstart

This element is a block element.

Both the start and end tags are required.


DL

<DL
COMPACT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Denotes a definition list.

COMPACT
Specifies that the list should be compacted to remove extra space between list elements.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


DT

<DT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

A definition term within a definition list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


EM

<EM
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Used to emphasize text. Usually renders text in italics.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<EM>This text will be in italics.</EM>


EMBED

<EMBED
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
HEIGHT=string
HIDDEN
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
PALETTE=string
PLUGINSPAGE=string
SRC=string
STYLE=string
TITLE=string
WIDTH=string
event = script
>

Allows you to embed documents of any type. The user needs to have an application which can view the data installed correctly on their machine.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HIDDEN
Forces the embedded element to be invisible.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
PALETTE=
To be determined.
PLUGINSPAGE=
To be determined.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onload

onmousedown onmousemove

onmouseout onmouseover

onmouseup onreadystatechange

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


FIELDSET

<FIELDSET
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
event = script
>

The FIELDSET element is similar to the DIV element but is for the specific purpose of grouping related fields. It is a container and it is nestable. It can contain a single LEGEND that must immediately follow the FIELDSET tag. The legend is used to identify the contained set of fields. This is especially useful to speech-based browsers which can then provide users with a way to move from group to group. This element renders as a box around the group and transposes the legend over the upper-left or lower-left portion of the box depending upon the ALIGN= attribute value on the LEGEND element. The legend element must be the first element within the field set. If it is not, the legend text cannot be rendered as part of the FIELDSET border.

CLASS=
Specifies the class of the tag being defined. This is used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID names must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created and can only be referenced by ordinal position.
LANG=
Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE=
Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.

JAVASCRIPT, JSCRIPT The scripting language is written in JavaScript.

VBS, VBSCRIPT The scripting language is written in VBScript.

STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information. The contents of the title attribute will be displayed in a tooltip during the onmouseover event.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup

Both the start and end tags are required.


FONT

<FONT
COLOR=color
FACE=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
SIZE=string
STYLE=string
TITLE=string
event = script
>

Specifies a new font face, size, and color to be used for rendering the enclosed text.

COLOR=
Set the color to be used by the font or horizontal rule.
FACE=
Sets the current fonts typeface.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
SIZE=
Specifies font size between 1 and 7 (7 is largest).
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


FORM

<FORM
ACTION=string
ENCTYPE=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
METHOD=GET | POST
NAME=string
STYLE=string
TARGET=string
TITLE=string
event = script
>

Specifies that the contained controls take part in a form.

ACTION=
Specifies the address to be used to carry out the action of the form. If none is specified, the base URL of the document is used.
ENCTYPE=
Specifies the format of the data being submitted by the form. The object model property for this attribute is called "encoding".
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
METHOD=
Indicates how the form data should be sent to the server; either GET or POST
NAME=
Specifies the name of the control, bookmark, or applet.
STYLE=
Specifies an in-line style sheet for the tag.
TARGET=
Specifies the window or frame to target the contents at.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onreset

onselectstart onsubmit

When programming the form, all control-like elements are added to the form as named items. In addition, these items are exposed through the Item method on the form.

This element is a block element.

Both the start and end tags are required.


FRAME

<FRAME
BORDERCOLOR=color
FRAMEBORDER=string
HEIGHT=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MARGINHEIGHT=string
MARGINWIDTH=string
NAME=window_name | _blank | _parent | _self | _top
NORESIZE=NORESIZE | RESIZE
SCROLLING=AUTO | NO | YES
SRC=string
TITLE=string
WIDTH=string
event = script
>

Specifies an individual frame within a FRAMESET .

BORDERCOLOR=
Sets border color.
FRAMEBORDER=
Specifies whether or not to display a border for the frame.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MARGINHEIGHT=
Sets the amount of top and bottom margin should be set before displaying the text in a frame.
MARGINWIDTH=
Sets the amount of left and right margin should be set before displaying the text in a frame.
NAME=
Specifies the name of the frame so it may be targeted from links in other documents.
NORESIZE=
When this attribute is supplied, the frame is not resizable by the user.
SCROLLING=
Specifies that the frame can be scrolled.
SRC=
Specifies a URI for the associated file.
TITLE=
The Title attribute is used to provide advisory information.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


FRAMESET

<FRAMESET
BORDER=integer
BORDERCOLOR=color
COLS=string
FRAMEBORDER=string
FRAMESPACING=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
ROWS=string
TITLE=string
event = script
>

Sets the number and size of vertical and horizontal frames for a compound document. Use the FRAME element within FRAMESET to define the content and properties of the individual frames. You can also nest FRAMESET elements to create frames within a frame.

BORDER=
Defines the space between the frames, including the 3D border.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute.
COLS=
A comma delimited list of frames to create. Each item in the list contains the initial size of the column.
FRAMEBORDER=
Specifies whether or not to display a border for the frame.
FRAMESPACING=
Creates additional space between the frames in pixels.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
ROWS=
A comma delimited list of frames to create. Each item in the list contains the initial size of the row.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

A frameset organizes multiple frames on the screen. Only FRAMEs, nested FRAMESETs, and the NOFRAMES tag are valid within a frameset.

This element is a block element.

Both the start and end tags are required.

Example

<FRAMESET COLS="25%, 50%, *">

<FRAME SRC="contents.htm">

<FRAME SRC="info.htm">

<FRAME SCROLLING=NO SRC="graphic.htm">

</FRAMESET>


H1

<H1
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H2

<H2
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H3

<H3
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H4

<H4
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H5

<H5
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


H6

<H6
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Render text as a heading style.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


HEAD

<HEAD
CLASS=string
ID=string
TITLE=string
event = script
>

An unordered collection of information about the document.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
TITLE=
The Title attribute is used to provide advisory information.
event
Can be this event:

onselectstart

The HEAD provides information that does not effect the rendering of the document, but may be of use to the browser. The HEAD falls before the BODY of the document is specified. The following tags are valid in the HEAD block:

  • BASE

  • LINK

  • TITLE

  • META

  • BASEFONT

  • BGSOUND

Example

<HEAD>

<TITLE>A Simple Document</TITLE>

</HEAD>


HR

<HR
ALIGN=CENTER | LEFT | RIGHT
COLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOSHADE
SIZE=string
STYLE=string
TITLE=string
event = script
>

Draws a horizontal rule.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
COLOR=
Set the color to be used by the font or horizontal rule.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOSHADE
Draws the horizontal rule without 3-D shading.
SIZE=
Sets the height of the HR element in pixels.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onbeforeupdate onblur

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


HTML

<HTML
TITLE=text
LANG=string
>

This element identifies the document as containing HTML elements. The begin tag typically appears after the !DOCTYPE element. The end tag comes after all HTML elements in the document.

LANG=
Specifies which language to use in ISO standard language abbreviation form.
TITLE=
The Title attribute is used to provide advisory information.

Example

<HTML>

<BODY>

<P>This is an HTML document.

</BODY>

</HTML>


I

<I
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The Italic element specifies that the text should be rendered in italic font, where available.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<I>This text will be in italic.</I>


IFRAME

<IFRAME
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
BORDER=integer
BORDERCOLOR=color
DATAFLD=colname
DATASRC=#ID
FRAMEBORDER=string
FRAMESPACING=string
HEIGHT=string
HSPACE=variant
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MARGINHEIGHT=string
MARGINWIDTH=string
NAME=window_name
NORESIZE=NORESIZE | RESIZE
SCROLLING=AUTO | NO | YES
SRC=string
STYLE=string
TITLE=string
VSPACE=string
WIDTH=string
event = script
>

Used to create in-line floating frames.

ALIGN=
Specifies the alignment for the control-like element.
BORDER=
Specifies the thickness of a border to be drawn around the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute.
DATAFLD=
The column name from the data source object that supplies the bound data.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
FRAMEBORDER=
Specifies whether or not to display a border for the frame.
FRAMESPACING=
Creates additional space between the frames in pixels.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HSPACE=
Along with VSPACE=, specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MARGINHEIGHT=
Sets the amount of top and bottom margin should be set before displaying the text in a frame.
MARGINWIDTH=
Sets the amount of left and right margin should be set before displaying the text in a frame.
NAME=
Specifies the window or frame to target the contents at. If no frame or window exists that matches the specified target, a new window is opened for the specified link. If no target is specified, the default is "_self" for a link within the same site or "_top" if the site is external. Special target values are listed below:

_blank Specifies to load the link into a new unnamed window.

_parent Specifies to load the link into the immediate parent of the document the link is in.

_self Specifies to load the link into the same window the link was clicked in.

_top Specifies to load the link into the full body of the current window.

NORESIZE=
When this attribute is supplied, the frame is not resizable by the user.
SCROLLING=
Specifies that the frame can be scrolled.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VSPACE=
Along with HSPACE=, specifies margins for the element.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be this event:

onreadystatechange

This element is a block element.

Both the start and end tags are required.

Example

<IFRAME FRAMEBORDER=0 SCROLLING=NO SRC="sample.htm"></IFRAME>


IMG

<IMG
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
ALT=string
BORDER=integer
DATAFLD=colname
DATASRC=#ID
DYNSRC=url
HEIGHT=string
HSPACE=variant
CLASS=string
ID=string
ISMAP
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
LOOP=string
LOWSRC=string
NAME=string
SRC=string
STYLE=string
TITLE=string
USEMAP=string
VSPACE=string
WIDTH=string
event = script
>

Embeds an image or a video clip in the document.

ALIGN=
Specifies the alignment for the control-like element.
ALT=
Optional text as an alternative to the graphic for rendering in non-graphical environments. Alternate text should be provided whenever the graphic is not rendered. Alternate text is mandatory for Level 0 documents.
BORDER=
Specifies the thickness of a border to be drawn around the element.
DATAFLD=
The column name from the data source object that supplies the bound data.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
DYNSRC=
Specifies the address of a video clip or VRML world to be displayed in the window. Stands for Dynamic Source.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HSPACE=
Along with VSPACE=, specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
ISMAP
Identifies the picture as a server-side image map.
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
LOOP=
Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.
LOWSRC=
Specifies a lower resolution image to display.
NAME=
Specifies the name of the control, bookmark, or applet.
SRC=
Specifies a URI for the associated file.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
USEMAP=
Identifies the picture as a client-side image map and specifies a MAP to use for acting on the user's clicks.
VSPACE=
Along with HSPACE=, specifies margins for the element.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onabort onafterupdate

onbeforeupdate onblur

onclick ondblclick

ondragstart onerror

onfocus onhelp

onkeydown onkeypress

onkeyup onload

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

The start tag is required, and the end tag is optional.

Example

<IMG SRC=mygraphic.bmp>


INPUT

<INPUT
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
CHECKED=TRUE | FALSE
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MAXLENGTH=long
NAME=string
READONLY
SIZE=variant
STYLE=string
TABINDEX=integer
TITLE=string
TYPE=CHECKBOX | FILE | HIDDEN | IMAGE | PASSWORD | RADIO | RESET | SELECT-MULTIPLE | SELECT-ONE | SUBMIT | TEXT | TEXTAREA
VALUE=string
event = script
>

Specifies a form input control.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
CHECKED=
For check boxes and radio buttons, indicates that they are selected.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associatedd style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MAXLENGTH=
Indicates the maximum number of characters that can be entered into a text control.
NAME=
Specifies the name of the control, bookmark, or applet.
READONLY
Causes the element's contents to be read only.
SIZE=
Specifies the size of the control.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Specifies the type of intrinsic control.
VALUE=
For textual/numerical controls, specifies the default value of the control. For Boolean controls, specifies the value to be returned when the control is turned on
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onchange

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onselect

onselectstart

The start tag is required, and the end tag is optional.


KBD

<KBD
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


LABEL

<LABEL
ACCESSKEY=string
FOR=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a label for a control-like element.

ACCESSKEY=
Specifies an accelerator for the element.
FOR=
The for attribute references the ID of another element. The for attribute is optional when the label is implicitly defined. This is done by wrapping the label around the control the label is specified for.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Labels cannot be nested.

Both the start and end tags are required.


LEGEND

<LEGEND
ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP
CLASS=classname
ID=value
LANG=language
LANGUAGE=JAVASCRIPT | JSCRIPT | VBSCRIPT | VBS
STYLE=css1-properties
TITLE=text
VALIGN=BOTTOM | TOP
event = script
>

Identifies a contained set of fields defined in the FIELDSET element. The LEGEND element must be the first element within the FIELDSET element.

ALIGN=
Specifies the alignment of the legend text.

BOTTOM Aligns the legend text bottom center.

CENTER Centers the legend text.

LEFT Left aligns the legend text.

RIGHT Right aligns the legend text.

TOP Aligns the legend text top center.

CLASS=
Specifies the class of the tag being defined. This is used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
LANG=
Specifies which language to use in ISO standard language abbreviation form.
LANGUAGE=
Specifies the language the current script is written in and invokes the proper scripting engine. The default value is JAVASCRIPT.

JAVASCRIPT, JSCRIPT The scripting language is written in JavaScript.

VBS, VBSCRIPT The scripting language is written in VBScript.

STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information. The contents of the title attribute will be displayed in a tooltip during the onmouseover event.
VALIGN=
Specifies whether the legend text appears at the top or bottom.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

This element is a block element.

Both the start and end tags are required.


LI

<LI
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
TYPE=1 | A | a | I | i
VALUE=variant
event = script
>

Denotes one item of a list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Changes the style of the list.
VALUE=
Changes the count of ordered lists as they progress.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.

Example

<DIR> <LI>Art

<LI>History

<LI>Literature

<LI>Sports

<LI>Entertainment

<LI>Science</DIR>


LINK

<LINK
DISABLED
HREF=string
ID=string
REL=STYLESHEET
TITLE=string
TYPE="text/css"
>

Used to specify a typed hyperlink between the document and some other resource.

DISABLED
Used to disable an element.
HREF=
Specifies the destination URL or anchor point.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
REL=
The REL attribute gives the relationship(s) described by the hypertext link from the anchor to the target. The value is a comma-separated list of relationship values. Values and their semantics will be registered by the HTML registration authority. The default relationship if none other is given is void. The REL attribute is only used when the HREF= attribute is present.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Indicates the type of style sheet.

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.

Example

<LINK REL=stylesheet HREF="styles.css" TYPE="text/css">


LISTING

<LISTING
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


MAP

<MAP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a collection of hot spots for a client-side image map

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onhelp onkeydown

onselectstart

Both the start and end tags are required.


MARQUEE

<MARQUEE
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
BEHAVIOR=ALTERNATE | SCROLL | SLIDE
BGCOLOR=color
DIRECTION=DOWN | LEFT | RIGHT | UP
HEIGHT=string
HSPACE=variant
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
LOOP=string
SCROLLAMOUNT=long
SCROLLDELAY=long
STYLE=string
TITLE=string
TRUESPEED=string
VSPACE=string
WIDTH=string
event = script
>

The MARQUEE tag enables you to create a scrolling text marquee.

ALIGN=
Specifies the alignment for the control-like element.
BEHAVIOR=
Specifies how the text scrolls in the marquee.
BGCOLOR=
Sets the background color behind the element.
DIRECTION=
Specifies which direction the text should scroll.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
HSPACE=
Along with VSPACE= , specifies margins for the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
LOOP=
Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.
SCROLLAMOUNT=
Specifies the number of pixels the text scrolls between each subsequent drawing of the MARQUEE.
SCROLLDELAY=
Specifies the speed the MARQUEE scroll in milliseconds.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TRUESPEED=
This feature will always compute the true position of the marquee given the scrolldelay scrollamount and the actual time elapsed from the last clock tick.
VSPACE=
Along with HSPACE=, specifies margins for the element.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onblur

onbounce onclick

ondblclick ondragstart

onfinish onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

onstart

The start tag is required, and the end tag is optional.


MENU

<MENU
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies that the following block consists of individual items.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


META

<META
CONTENT=string
HTTP-EQUIV=string
ID=string
NAME=string
TITLE=string
URL=string
>

Provides information about an HTML document to browsers, search engines, and other applications.

CONTENT=
Specifies meta-information to be associated with the given name or HTTP response header.
HTTP-EQUIV=
Used to bind the CONTENT= of the element to an HTTP response header.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
NAME=
Specifies the name of the control, bookmark, or applet.
TITLE=
The Title attribute is used to provide advisory information.
URL=
If a URL is specifies, the URL will be loaded after the specified time has elapsed.

This element may only be used within the HEAD tag.

The start tag is required, and the end tag is optional.

The value of the CONTENT= attribute depends on the HTTP-EQUIV= attribute. The following lists some of these values.

HTTP-EQUIV CONTENT

REFRESH delay[;url]

The delay is the number of seconds that the browser waits before reloading a document. The optional url specifies the document to reload. If no url is given, the browser reloads the current document.

Content-Type text/html; CHARSET=character-set

The character-set specifies one of the character set aliases listed in HTML Character Sets (Charsets) and Named Entities.

Examples

The following example sets the character set for the document.

<META HTTP-EQUIV="Content-Type"

CONTENT="text/html; CHARSET=Windows-1251">

The following example causes the browser to reload the document every two seconds.

<META HTTP-EQUIV="REFRESH" CONTENT=2>

The following example causes the browser to load the new document, http://www.sample.com/next.htm, after a five second delay.

<META HTTP-EQUIV="REFRESH" CONTENT="5; URL=http://www.sample.com/next.htm">

The following example causes the server to include the given content in the HTTP response to a GET or HEAD request for the document.

<META HTTP-EQUIV="Expires"

CONTENT="Tue, 04 Dec 1996 21:29:02 GMT">

<meta http-equiv="Keywords" CONTENT="HTML, Reference">

<META HTTP-EQUIV="Reply-to"

content="anybody@microsoft.com">

The HTTP response includes the following header fields.

Expires: Tue, 04 Dec 1996 21:29:02 GMT

Keywords: HTML, Reference

Reply-to: anybody@microsoft.com


NOBR

<NOBR
ID=value
STYLE=css1-properties
TITLE=text
>

Renders text without line breaking.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid ID values must begin with a letter. The underbar character, "_", may be used in the ID name. The ID should be unique throughout the scope of the document. If more than one object with the same identifier exists in a document, a collection of those named items is created that can only be referenced by ordinal position.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.

The start tag is required, and the end tag is optional.

Example

<NOBR>Here's a line of text I don't want to be broken . . . here's the end of the line.</NOBR>


NOFRAMES

<NOFRAMES
ID=string
STYLE=cssl-properties
TITLE=string
>

Used to contain HTML for browsers that do not support FRAMESET tags.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.

This element is a block element.

Both the start and end tags are required.

Example

<FRAMESET>

<NOFRAMES>You need Internet Explorer 3.0 to view frames!</NOFRAMES>

</FRAMESET>


NOSCRIPT

<NOSCRIPT
>

Specifies HTML to be displayed in browsers that do not support scripting.

This element is a block element.

Both the start and end tags are required.


OBJECT

<OBJECT
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
CLASSID=string
CODE=string
CODEBASE=string
CODETYPE=string
DATA=string
DATAFLD=colname
DATASRC=#ID
DISABLED
HEIGHT=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NAME=string
STYLE=string
TABINDEX=integer
TITLE=string
TYPE=string
WIDTH=string
event = script
>

Inserts an object onto the HTML page.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
CLASSID=
Used to specify the class identifier for the object.
CODE=
The name of the file containing the compiled java class.
CODEBASE=
Specifies a URL referencing where to find the implementation of the object.
CODETYPE=
An attribute.
DATA=
Specifies a URL referencing the object's data.
DATAFLD=
The column name from the data source object that supplies the bound data. This attribute can be used on both the OBJECT element and the PARAM elements it contains.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
DISABLED
Used to disable an element.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NAME=
Specifies the name of the control, bookmark, or applet.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Specifies the MIME type for the associated scripting engine.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onreadystatechange onresize

onrowenter onrowexit

onselectstart

This element is a block element.

Both the start and end tags are required.


OL

<OL
COMPACT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
START=string
STYLE=string
TITLE=string
TYPE=1 | A | a | I | i
event = script
>

Draws lines of text as an ordered list.

COMPACT
Specifies that the list should be compacted to remove extra space between list elements.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
START=
Specifies the starting number for a list.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Changes the style of the list.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.

Example

<OL>

<LI>This is the first item in the list.

<LI>And this is the second item in the list.

</OL>

<OL START=3>

<LI>This is item number 3.

</OL>

<OL TYPE=A>

<LI>This is item A.

</OL>


OPTION

<OPTION
CLASS=string
ID=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
SELECTED
TITLE=string
VALUE=string
event = script
>

Denotes one choice in a select list.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
SELECTED
Indicates that this item is the default. If not present, the first item is selected by default.
TITLE=
The Title attribute is used to provide advisory information.
VALUE=
For textual/numerical controls, specifies the default value of the control. For Boolean controls, specifies the value to be returned when the control is turned on
event
Can be one or more of these events:

onselectionchange onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


P

<P
ALIGN=CENTER | LEFT | RIGHT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Denotes a paragraph.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.

Example

<P>This is a paragraph.</P>


PARAM

<PARAM
DATAFLD=colname
DATAFORMATAS=HTML | TEXT
DATASRC=#ID
NAME=name
VALUE=value
>

Sets the property value for a given object. This element valid within the APPLET, EMBED, and OBJECT elements.

DATAFLD=
The column name from the data source object that supplies the bound data.
DATAFORMATAS=
Indicates whether bound data is plain text or HTML.
DATASRC=
Indicates the ID of the data source object that supplies the data that is bound to this element.
NAME=
Specifies the name of the parameter.
VALUE=
Specifies the property value. The value is passed to the object without change except that any character or numeric character entities are replaced with their corresponding character values.


PLAINTEXT

<PLAINTEXT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type without processing tags and disables HTML parsing for the rest of the document. Although a </PLAINTEXT> tag is required, it does not close the container and is rendered on-screen. This element has been deprecated and may not be supported in a consistent manner by all browsers. It is recommended that the PRE element be used instead.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

The start tag is required, and the end tag is optional.


PRE

<PRE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.


S

<S
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in strikethrough type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<S>This text has a line through it.</S>


SAMP

<SAMP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies a code sample.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectionchange onselectstart

Both the start and end tags are required.


SCRIPT

<SCRIPT
EVENT=string
FOR=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
SRC=string
TITLE=string
event = script
>

Specifies a script for the page that will be interpreted by a script engine.

EVENT=
Specifies the event the script is being written for.
FOR=
Specifies which element is being bound to the event script.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
SRC=
Specifies an external file that contains the source code.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onreadystatechange

onselectstart

Code within the SCRIPT block that are not contained within a function are executed immediately as the page is loaded. To keep scripts from being displayed on down-level browsers, the SCRIPT block should be nested within a comment block.

This element is a block element.

Both the start and end tags are required.


SELECT

<SELECT
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
MULTIPLE
NAME=string
SIZE=variant
STYLE=string
TABINDEX=integer
TITLE=string
event = script
>

Denotes a list box or dropdown list.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
MULTIPLE
Indicates that multiple items in the list can be selected.
NAME=
Specifies the name of the control, bookmark, or applet.
SIZE=
Specifies the size of the control.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onchange

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

Both the start and end tags are required.


SMALL

<SMALL
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Specifies that the enclosed text should be displayed with a relatively smaller font than the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


SPAN

<SPAN
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

This does not have any structural role or established rendering convention. It allows a user to define their own method of rendering using style sheets.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


STRIKE

<STRIKE
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in strikethrough type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


STRONG

<STRONG
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in boldface.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


STYLE

<STYLE
DISABLED
TITLE=string
TYPE=BUTTON
>

Specifies the style sheet for the page.

DISABLED
Used to disable an element.
TITLE=
Specifies the title of the style sheet.
TYPE=
Returns the CSS language that the style sheet is defined in.

This element may be used within either the HEAD or BODY tag.

Both the start and end tags are required.

Example

<STYLE>

BODY {background: white; color: black}

h3 {font: 8pt Arial bold}

P {font: 10pt Arial; text-indent: 0.5in}

A {text-decoration: none; color: blue}

</STYLE>


SUB

<SUB
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The enclosed text should be displayed in subscript, and using a smaller font than the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


SUP

<SUP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

The enclosed text should be displayed in SuperScript and in a smaller font relative to the current font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


TABLE

<TABLE
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=string
BGCOLOR=color
BORDER=integer
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CELLPADDING=string
CELLSPACING=string
COLS=string
FRAME=ABOVE | BELOW | BORDER | BOX | INSIDES | LHS | RHS | VOID | VSIDES
HEIGHT=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
RULES=ALL | COLS | GROUPS | NONE | ROWS
STYLE=string
TITLE=string
WIDTH=string
event = script
>

Used to specify that the contained content is organized into a table with rows and columns. Use the TR, TD, and TH elements in the container to create the rows, columns, and cells.

ALIGN=
Specifies how the table should be aligned.
BACKGROUND=
Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR=
Sets the background color behind the element.
BORDER=
Specifies the thickness of a border to be drawn around the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT= , and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK= , and must be used with the BORDER= attribute.
CELLPADDING=
Specifies the amount of space between the border of the cell and the contents of the cell.
CELLSPACING=
Specifies the amount of space between cells in a table.
COLS=
The number of columns in the table.
FRAME=
Controls the appearance of the border frame around the table.
HEIGHT=
Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
RULES=
Specifies which dividing lines are displayed (inner borders).
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
WIDTH=
Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit onscroll

onselectstart

Valid tags within a table include:

  • TR

  • CAPTION

  • THEAD

  • TBODY

  • TFOOT

  • COLGROUP

  • COL

This element is a block element.

Both the start and end tags are required.

Example

<TABLE BORDER=1 WIDTH=80%>

<THEAD>

<TR>

<TH>Heading 1</TH>

<TH>Heading 2</TH>

</TR>

<TBODY>

<TR>

<TD>Row 1, Column 1 text.</TD>

<TD>Row 1, Column 2 text.</TD>

</TR>

<TR>

<TD>Row 2, Column 1 text.</TD>

<TD>Row 2, Column 2 text.</TD>

</TR>

</TABLE>


TBODY

<TBODY
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Used to designate rows as the body of the table.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is exposed for all tables, even if the table did not explicitly define a TBODY element.

This element is a block element.


TD

<TD
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=string
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
COLSPAN=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOWRAP
ROWSPAN=string
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Specifies a cell in a table.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BACKGROUND=
Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR=
Sets the background color behind the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT= , and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK= , and must be used with the BORDER= attribute.
COLSPAN=
Specifies how many columns in the TABLE this cell should span.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOWRAP
The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.
ROWSPAN=
Specifies how many rows in a TABLE this cell should span.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onkeyup onmousedown

onmousemove onmouseout

onmouseover onmouseup

onresize onrowenter

onrowexit

onselectstart

This element is a block element.


TEXTAREA

<TEXTAREA
ACCESSKEY=string
ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP
COLS=long
DISABLED
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NAME=string
READONLY
ROWS=long
STYLE=string
TABINDEX=integer
TITLE=string
WRAP=OFF | PHYSICAL | VIRTUAL
event = script
>

Specifies a multi-line text input control.

ACCESSKEY=
Specifies an accelerator for the element.
ALIGN=
Specifies the alignment for the control-like element.
COLS=
Specifies how many characters wide the text area is.
DISABLED
Used to disable an element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NAME=
Specifies the name of the control, bookmark, or applet.
READONLY
Causes the element's contents to be read only.
ROWS=
Specifies the number of rows tall the textarea control should be.
STYLE=
Specifies an in-line style sheet for the tag.
TABINDEX=
Sets the tabindex for the object.
TITLE=
The Title attribute is used to provide advisory information.
WRAP=
Specifies how to handle word-wrapping in the textarea.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onchange

onclick ondblclick

ondragstart onfocus

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onscroll onselect

onselectstart

The default font is fixed pitch.

Both the start and end tags are required.


TFOOT

<TFOOT
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Used to designate rows as the table's footer.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.


TH

<TH
ALIGN=CENTER | LEFT | RIGHT
BACKGROUND=string
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
COLSPAN=string
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
NOWRAP
ROWSPAN=string
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Specifies a header column. Header columns are centered within the cell and are bold.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BACKGROUND=
Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.
BGCOLOR=
Sets the background color behind the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT= , and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK= , and must be used with the BORDER= attribute.
COLSPAN=
Specifies how many columns in the TABLE this cell should span.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
NOWRAP
The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.
ROWSPAN=
Specifies how many rows in a TABLE this cell should span.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onkeyup

onmousedown onmousemove

onmouseout onmouseover

onmouseup

onselectstart

This element is a block element.


THEAD

<THEAD
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Used to designate rows as the table's header.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.


TITLE

<TITLE
ID=value
TITLE=string
>

ID=

An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
Identifies the contents of the document in a global context.

TITLE=
The Title attribute is used to provide advisory information.

This element may only be used within the HEAD tag.

This element is a block element.

Both the start and end tags are required.

Example

<HEAD>

<TITLE>"Welcome To Internet Explorer!"</TITLE>

</HEAD>


TR

<TR
ALIGN=CENTER | LEFT | RIGHT
BGCOLOR=color
BORDERCOLOR=color
BORDERCOLORDARK=color
BORDERCOLORLIGHT=color
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
VALIGN=BASELINE | BOTTOM | MIDDLE | TOP
event = script
>

Specifies a row in a table.

ALIGN=
Displays the element left flush, right flush, or centered relative to the display or table.
BGCOLOR=
Sets the background color behind the element.
BORDERCOLOR=
Sets border color and must be used with the BORDER= attribute, except for frames.
BORDERCOLORDARK=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT=, and must be used with the BORDER= attribute.
BORDERCOLORLIGHT=
Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK=, and must be used with the BORDER= attribute.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
VALIGN=
Displays the elements aligned at the top or bottom within the element.
event
Can be one or more of these events:

onafterupdate onbeforeupdate

onblur onclick

ondblclick ondragstart

onfocus onhelp

onkeydown onkeypress

onmousedown onmousemove

onmouseout onmouseover

onmouseup onresize

onrowenter onrowexit

onselectstart

Within a row, the following tags are valid:

  • TD

  • TH

This element is a block element.


TT

<TT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


U

<U
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text underlined.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.

Example

<U>This text is underlined.</U>


UL

<UL
COMPACT
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
TYPE=1 | A | a | I | i
event = script
>

Draws lines of text as a bulleted list.

COMPACT
Specifies that the list should be compacted to remove extra space between list elements.
CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
TYPE=
Changes the style of the list.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This element is a block element.

Both the start and end tags are required.

Example

<UL>

<LI>This is the first bulleted item in the list.

<LI>And this is the second bulleted item in the list.

</UL>


VAR

<VAR
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text as a small fixed-width font.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

Both the start and end tags are required.


WBR

<WBR
ID=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
TITLE=string
>

Inserts a soft linebreak.

ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
TITLE=
The Title attribute is used to provide advisory information.

The start tag is required, and the end tag is optional.


XMP

<XMP
CLASS=string
ID=string
LANG=string
LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT
STYLE=string
TITLE=string
event = script
>

Renders text in fixed-width type used for example text.

CLASS=
Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.
ID=
An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".
LANG=
This specifies the language to use. The specifier is an ISO standard language abbreviation.
LANGUAGE=
Specifies the language that the current script is written in. JavaScript is the default for this attribute.
STYLE=
Specifies an in-line style sheet for the tag.
TITLE=
The Title attribute is used to provide advisory information.
event
Can be one or more of these events:

onclick ondblclick

onhelp onkeydown

onkeypress onmousedown

onmousemove onmouseout

onmouseover onmouseup

onselectstart

This tag is no longer recommended. Instead, the PRE or SAMP tags should be used.

This element is a block element.

Both the start and end tags are required.


HTML attributes

HTML attributes are used to define the properties of HTML elements. Each HTML element has its own set of attributes. For example, SRC is an attribute of the <IMG> tag, which indicates the location and file name of an image file. The topics in this section describe the HTML attributes and show how to use them.


ACCESSKEY=

ACCESSKEY=string

Specifies an accelerator for the element.

Applies To

A, APPLET, BUTTON, EMBED, INPUT, LABEL, OBJECT, SELECT, TEXTAREA


ACTION=

ACTION=string

Specifies the address to be used to carry out the action of the form. If none is specified, the base URL of the document is used.

The way the data is submitted depends upon the value of the METHOD= and ENCTYPE= attributes.

Applies To

FORM


ALIGN=

ALIGN=CENTER | LEFT | RIGHT

Displays the element left flush, right flush, or centered relative to the display or table.

CENTER Align to the center.

LEFT Align to the left edge.

RIGHT Align to the right edge.

Applies To

COL, COLGROUP, DIV, h3, H2, H3, H4, H5, H6, HR, P, TBODY, TD, TFOOT, TH, THEAD, TR


ALIGN=

ALIGN=CENTER | LEFT | RIGHT

Specifies how the table should be aligned.

CENTER Align to the center.

LEFT Align to the left edge.

RIGHT Align to the right edge.

Applies To

TABLE


ALIGN=

ALIGN=ABSBOTTOM | ABSMIDDLE | BASELINE | BOTTOM | LEFT | MIDDLE | RIGHT | TEXTTOP | TOP

Specifies the alignment for the control-like element.

ABSBOTTOM

ABSMIDDLE

BASELINE

BOTTOM

LEFT

MIDDLE

RIGHT

TEXTTOP

TOP

The default is left-aligned for TABLE, TR, and TD.The default is center-aligned for TH.

Applies To

APPLET, EMBED, IFRAME, IMG, INPUT, MARQUEE, OBJECT, SELECT, TEXTAREA


ALIGN=

ALIGN=BOTTOM | CENTER | LEFT | RIGHT | TOP

Specifies the alignment of the caption.

BOTTOM Align bottom center.

CENTER Centers the caption.

LEFT Left align.

RIGHT Right align.

TOP Align top-center.

Applies To

CAPTION


ALINK=

ALINK=color

The color for the active link. The color can be any one of the color names or values in Color Values.

Applies To

BODY


ALT=

ALT=string

Optional text as an alternative to the graphic for rendering in non-graphical environments. Alternate text should be provided whenever the graphic is not rendered. Alternate text is mandatory for Level 0 documents.

Applies To

IMG


BACKGROUND=

BACKGROUND=string

Specifies a background picture. The picture is tiled behind the text and graphics on the page.

Applies To

BODY


BACKGROUND=

BACKGROUND=string

Specifies a background picture for the table. The picture is tiled behind the text and graphics in the table, table head, or table cell.

Applies To

TABLE, TD, TH


BALANCE=

BALANCE=string

To be provided

Applies To

BGSOUND


BEHAVIOR=

BEHAVIOR=ALTERNATE | SCROLL | SLIDE

Specifies how the text scrolls in the marquee.

ALTERNATE The Marquee alternates left and right.

SCROLL The marquee is a scrolling marquee in the direction specified by the DIRECTION attribute. The text scrolls off the end and starts over.

SLIDE The marquee is a scrolling marquee in the direction specified by the DIRECTION attribute. The text scrolls to the end and stops.

Applies To

MARQUEE


BGCOLOR=

BGCOLOR=color

Sets the background color of the page. The color can be any one of the color names or values in Color Values.

JavaScript supports the entire set of valid property colors both as strings and their numerical equivalents as a string. JavaScript always returns the property as the numeric equivalent as a string regardless of the format the value was set.

Applies To

BODY


BGCOLOR=

BGCOLOR=color

Sets the background color behind the element. The color can be any one of the color names or values in Color Values.

Applies To

TBODY, TFOOT, THEAD, MARQUEE, TABLE, TD, TH, TR


BGPROPERTIES=

BGPROPERTIES=FIXED

Specifies a watermark, which is a background picture that does not scroll.

FIXED This causes the background not to scroll with the page.

Applies To

BODY


BORDER=

BORDER=integer

Specifies the thickness of a border to be drawn around the element.

Setting border to 0 or omitting the attribute causes no border to be displayed. Supplying the border attribute without a value defaults to a single border.

Applies To

IFRAME, IMG, TABLE


BORDER=

BORDER=integer

Defines the space between the frames, including the 3D border.

The border can ONLY be set on an outermost FRAMESET tag. Setting border for an inner FRAMESET is ignored, even if border is not defined on the outermost FRAMESET.

Applies To

FRAMESET


BORDERCOLOR=

BORDERCOLOR=color

Sets border color and must be used with the BORDER= attribute, except for frames. The color can be any one of the color names or values in Color Values.

Applies To

FRAME, FRAMESET, IFRAME, TABLE, TD, TH, TR


BORDERCOLORDARK=

BORDERCOLORDARK=color

Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORLIGHT=, and must be used with the BORDER= attribute. The color can be any one of the color names or values in Color Values.

Applies To

TABLE, TD, TH, TR


BORDERCOLORLIGHT=

BORDERCOLORLIGHT=color

Sets independent border color control over one of the two colors used to draw a 3-D border, opposite of BORDERCOLORDARK=, and must be used with the BORDER= attribute. The color can be any one of the color names or values in Color Values.

Applies To

TABLE, TD, TH, TR


BOTTOMMARGIN=

BOTTOMMARGIN=string

Specifies the bottom margin for the entire body of the page and overrides the default margin.

If set to "", the bottom margin will be exactly on the bottom edge.

Applies To

BODY


CELLPADDING=

CELLPADDING=string

Specifies the amount of space between the border of the cell and the contents of the cell.

Applies To

TABLE


CELLSPACING=

CELLSPACING=string

Specifies the amount of space between cells in a table.

Applies To

TABLE


CHECKED=

CHECKED=FALSE | TRUE

For check boxes and radio buttons, indicates that they are selected.

FALSE

TRUE

Checkboxes that are not selected do not return their values when the form is submitted.

Use with CHECKBOX and RADIO types only.

Applies To

INPUT


CLASS=

CLASS=className

Specifies the class of the tag being defined. This is most often used to associated a sub-classed style sheet with the tag.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, EVENT, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HEAD, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, NOFRAMES, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP, BASEFONT


CLASSID=

CLASSID=string

Used to specify the class identifier for the object.

The format is: classid="clsid:controlspecificclsid "

Applies To

OBJECT


CLEAR=

CLEAR=ALL | LEFT | RIGHT

Inserts vertical space so that the next text displayed will be past left- or right-aligned floating images.

ALL

LEFT

RIGHT

Applies To

BR


CODE=

CODE=string

The name of the file containing the compiled java class.

Applies To

APPLET, OBJECT


CODEBASE=

CODEBASE=string

This is an optional parameter that specifies the base URL for the applet.

Applies To

APPLET


CODEBASE=

CODEBASE=string

Specifies a URL referencing where to find the implementation of the object.

Applies To

OBJECT


CODETYPE=

CODETYPE=string

Applies To

OBJECT


COLOR=

COLOR=color

Set the color to be used by the font or horizontal rule. The color can be any one of the color names or values in Color Values.

Applies To

BASEFONT, FONT, HR


COLS=

COLS=long

Specifies how many characters wide the text area is.

Applies To

TEXTAREA


COLS=

COLS=string

A comma delimited list of frames to create. Each item in the list contains the initial size of the column.

Applies To

FRAMESET


COLS=

COLS=string

The number of columns in the table.

Providing this number may speed up the processing of the table.

Applies To

TABLE


COLSPAN=

COLSPAN=string

Specifies how many columns in the TABLE this cell should span.

Applies To

TD, TH


COMPACT

COMPACT

Specifies that the list should be compacted to remove extra space between list elements.

Applies To

DL, OL, UL


CONTENT=

CONTENT=string

Specifies meta-information to be associated with the given name or HTTP response header.

Applies To

META


CONTROLS=

CONTROLS=string

If a video clip is present, a set of controls is displayed under the clip.

Applies To

IMG


COORDS=

COORDS=string

Coordinates that define the hot spot's shape.

Applies To

AREA


DATA=

DATA=string

Specifies a URL referencing the object's data.

Applies To

OBJECT


DATAFLD=

DATAFLD=string

Specifies which field of a given data source (as specified by the DATASRC= attribute) to bind to the given element.

Applies To

DIV, IMG, INPUT, MARQUEE, OBJECT, SELECT, SPAN, TEXTAREA


DATAFORMATAS=

DATAFORMATAS=string

Specifies the type of the data to bind to the given element.

Applies To

DIV, MARQUEE, SPAN


DATASRC=

DATASRC=string

Specifies the source of the data for data binding. The string must be an identifier that uniquely identifies an element on the page.

Applies To

DIV, IMG, INPUT, MARQUEE, OBJECT, SPAN, SELECT, TABLE, TEXTAREA


DIRECTION=

DIRECTION=DOWN | LEFT | RIGHT | UP

Specifies which direction the text should scroll.

DOWN The Marquee scrolls down.

LEFT The marquee scrolls left.

RIGHT The marquee scrolls right.

UP The marquee scrolls up.

The default is LEFT, which means scrolling to the left from the right.

Applies To

MARQUEE


DISABLED

DISABLED

Used to disable an element.

Applies To

APPLET, INPUT, OBJECT, SELECT, TEXTAREA, BUTTON, LINK, STYLE


DYNSRC=

DYNSRC=string

Specifies the address of a video clip or VRML world to be displayed in the window. Stands for Dynamic Source.

Applies To

IMG


ENCTYPE=

ENCTYPE=string

Specifies the format of the data being submitted by the form. The object model property for this attribute is called "encoding".

Applies To

FORM


EVENT=

EVENT=string

Specifies the event the script is being written for.

Applies To

SCRIPT


FACE=

FACE=string

Sets the current fonts typeface.

Applies To

BASEFONT, FONT


FOR=

FOR=string

The for attribute references the ID of another element. The for attribute is optional when the label is implicitly defined. This is done by wrapping the label around the control the label is specified for.

This property is specified in HTML using the "for" attribute. Specifies the control-like element the label is for.

Applies To

LABEL


FOR=

FOR=string

Specifies which element is being bound to the event script.

Capitalized to avoid javascript keyword conflicts.

Applies To

SCRIPT


FRAME=

FRAME=ABOVE | BELOW | BORDER | BOX | INSIDES | LHS | RHS | VOID | VSIDES

Controls the appearance of the border frame around the table.

ABOVE Displays a border on the top side of the border frame.

BELOW Displays a border on the bottom side of the table frame.

BORDER Displays a border on all sides of the table frame.

BOX Displays a border on all sides of the table frame.

INSIDES Displays a border on the top and bottom sides of the table frame.

LHS Displays a border on the left hand side of the table frame.

RHS Displays a border on the right-hand side of the table frame.

VOID Removes all outside table borders.

VSIDES Displays a border on the left and right sides of the table frame.

Applies To

TABLE


FRAMEBORDER=

FRAMEBORDER=string

Specifies whether or not to display a border for the frame.

Valid values are 0 and 1. 0 specifies no border, and 1 specifies an inset border. In addition, "Yes" and "No" are supported corresponding to 1 and 0, respectively. Invalid settings defaults to turning on borders.

Applies To

FRAME, FRAMESET, IFRAME


FRAMESPACING=

FRAMESPACING=string

Creates additional space between the frames in pixels.

The default spacing is 2 pixels.

The amount defined for FrameSpacing does not include the width of the FrameBorder. Framespacing can be set on one or more FRAMESETs and applies to the contained FRAMESETs unless the contained FRAMESET defines a different FrameSpacing.

Applies To

FRAMESET, IFRAME


HEIGHT=

HEIGHT=string

Along with the width attribute, specifies the size at which the element is drawn. Returns the calculated height of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.

The height attribute on an IMG allows the size of the image to be defined in advance to speed up the rendering of the page.

Applies To

MARQUEE, IFRAME, EMBED, FRAME, IMG, OBJECT, TABLE


HIDDEN=

HIDDEN=string

Forces the embedded element to be invisible.

Applies To

EMBED


HREF=

HREF=string

Specifies the destination URL or anchor point.

When specifying an anchor, everything between the <A HREF..> and the <A> becomes a clickable hyperlink to that address.

The HREF attribute on the anchor is a scriptable attribute. HREF's on anchors can jump to bookmarks or any element's ID attribute.

Applies To

A, AREA, LINK


HREF=

HREF=string

Specifies the document's full URL in case the document gets read out of context and the reader wants to refer to the original.

Applies To

BASE


HSPACE=

HSPACE=variant

Along with VSPACE=, specifies margins for the element.

Similar to BORDER=, except the margins are not painted with color when the element is a hyperlink.

Applies To

APPLET, IFRAME, IMG, MARQUEE


HTTP-EQUIV=

HTTP-EQUIV=string

Used to bind the CONTENT= of the element to an HTTP response header.

If omitted, the NAME= attribute should be used to identify the meta-information. The HTTP-EQUIV attribute is not case-sensitive.

Applies To

META


ID=

ID=string

An SGML identifier used as the target for hypertext links or for naming particular elements in associated style sheets. Valid names to script with are any alphanumeric string that begins with a letter. Valid special characters include underbar "_".

id should be unique throughout the scope of the current document. Should there be more than one object with the same identifier, a collection of those named items is created that can only be referenced by ordinal position.

Applies To

BGSOUND, OPTION, A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HEAD, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, BASEFONT, NOBR, NOFRAMES, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP, LINK, COMMENT


ISMAP

ISMAP

Identifies the picture as a server-side image map.

Applies To

IMG


LANG=

LANG=string

This specifies the language to use. The specifier is an ISO standard language abbreviation.

The parser can use this to determine how to display language specific choices for quotations, numbers, etc.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, DD, DFN, DIR, DIV, DT, EM, EMBED, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


LANGUAGE=

LANGUAGE=JAVASCRIPT | JSCRIPT | VBS | VBSCRIPT

Specifies the language that the current script is written in. JavaScript is the default for this attribute.

JAVASCRIPT Specifies that the script is written in JavaScript

JSCRIPT Specifies the language as JavaScript

VBS Specifies the language is vbscript.

VBSCRIPT Specifies that the script is written in VB Script.

Javascript 1.1 should also be supported and returned as the string.

Applies To

ADDRESS, A, INPUT, SELECT, APPLET, AREA, B, BASE, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, FRAME, FRAMESET, h3, H2, H3, H4, H5, H6, HR, HTML, I, IFRAME, IMG, KBD, LABEL, LI, LISTING, MARQUEE, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP


LEFTMARGIN=

LEFTMARGIN=variant

Specifies the left margin for the entire body of the page and overrides the default margin.

If set to "", the left margin will be exactly on the left edge.

Applies To

BODY


LINK=

LINK=color

The color of shortcuts that have not yet been visited. The color can be any one of the color names or values in Color Values.

Applies To

BODY


LOOP=

LOOP=string

Specifies how many times a sound or video will loop when activated. Also specifies how many times the marquee should loop.

Specifies how many times a video clip or sound will loop when activated. If n=-1 or infinite, it will loop continuously.

Below are descriptions on how loop works for some boundary cases.

  • once

  • once

  • zero times

  • infinitely

  • once

Applies To

BGSOUND, IMG, MARQUEE


LOWSRC=

LOWSRC=string

Specifies a lower resolution image to display.

Setting the src attribute in code has the side-effect of actually starting to load the new URL into the image area (and aborting the transfer of any image data that is already loading into the same area). Therefore, if you're going to alter the lowsrc property, you need to do so before setting the src property. If the URL in the src property references an image that is not the same size as the image cell it is loaded into, the source image is scaled to fit.

Applies To

IMG


MARGINHEIGHT=

MARGINHEIGHT=string

Sets the amount of top and bottom margin should be set before displaying the text in a frame.

The value for marginheight is in pixels. Margins cannot be less than 1 nor too large that the text cannot be displayed.

Applies To

FRAME, IFRAME


MARGINWIDTH=

MARGINWIDTH=string

Sets the amount of left and right margin should be set before displaying the text in a frame.

The value for marginwidth is in pixels. Margins cannot be less than 1 nor too large that the text cannot be displayed.

Applies To

FRAME, IFRAME


MAXLENGTH=

MAXLENGTH=long

Indicates the maximum number of characters that can be entered into a text control.

This can be larger than the SIZE= of the textbox. When this occurs, the textbox should scroll accordingly as the user types. The default is there is no limit.

Applies To

INPUT


MAYSCRIPT

MAYSCRIPT

Used to designate whether the applet can take advantage of javascript classes.

Applies To

APPLET


METHOD=

METHOD=GET | POST

Indicates how the form data should be sent to the server; either GET or POST

GET append the arguments to the action URL and open it as if it were an anchor.

POST POST means send the data via an HTTP post transaction.

The only legal values are "GET" and "POST"

Applies To

FORM


METHODS=

METHODS=string

The METHODS attributes of anchors and links provide information about the functions that the user may perform on an object. These are more accurately given by the HTTP protocol when it is used, but it may, for similar reasons as for the TITLE= attribute, be useful to include the information in advance in the link. For example, the HTML user agent may chose a different rendering as a function of the methods allowed; for example, something that is searchable may get a different icon.

The value of the METHODS attribute is a comma separated list of HTTP methods supported by the object for public use.

Applies To

A


MULTIPLE

MULTIPLE

Indicates that multiple items in the list can be selected.

Applies To

SELECT


NAME=

NAME=string

Specifies the name of the control, bookmark, or applet.

JavaScript allows the name to be changed at run-time. This does not change the name in the programming model to change, in the collection of elements, but does change the name used for submitting elements.

The name is used to bind the value of the control when submitting a form. The NAME is not the value that is displayed for the button, reset, and submit objects. Submitting the form submits the internally stored value, not the one displayed.

Applies To

A, APPLET, FORM, IMG, INPUT, LINK, META, OBJECT, SELECT, TEXTAREA


NAME=

NAME=window_name | _blank | _parent | _self | _top

Specifies the name of the frame so it may be targeted from links in other documents.

window_name A string that specifies a frame.

_blank Loads the link into a new, unnamed window.

_parent Loads the link over the parent. If the frame has no parent, then this refers to _self.

_self Replaces the page with the specified link.

_top Loads the link at the top-most level.

Either a window-name or frame may be specified, or one of the special values above.

The name property on the window comes from the FRAME definition. There is no other way to persist a window name in HTML.

Applies To

FRAME, IFRAME


NOHREF

NOHREF

Indicates that clicks in this region should cause no action.

Applies To

AREA


NORESIZE=

NORESIZE=NORESIZE | RESIZE

When this attribute is supplied, the frame is not resizable by the user.

NORESIZE Specifies that the frame should have a fixed size.

RESIZE Specifies that the frame is resizable.

By default, all frames are resizable.

Applies To

FRAME, IFRAME


NOSHADE

NOSHADE

Draws the horizontal rule without 3-D shading.

Applies To

HR


NOWRAP

NOWRAP

The NOWRAP attribute is used when you do not want the browser to automatically perform word wrap.

Applies To

TD, TH


PALETTE=

PALETTE=string

To be supplied.

Applies To

EMBED


PLUGINSPAGE=

PLUGINSPAGE=string

To be supplied.

Applies To

EMBED


READONLY

READONLY

Causes the element's contents to be read only.

This is different then disabled. Readonly still allows the element to receive the focus, while disabled does not allow the element to receive the focus.

Applies To

INPUT, TEXTAREA


REL=

REL=string

The REL attribute gives the relationship(s) described by the hypertext link from the anchor to the target. The value is a comma-separated list of relationship values. Values and their semantics will be registered by the HTML registration authority. The default relationship if none other is given is void. The REL attribute is only used when the HREF= attribute is present.

Applies To

LINK, A


REV=

REV=string

The REV attribute is the same as the REL= attribute, but the semantics of the link type are in the reverse direction. A link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor may have both REL and REV attributes.

Applies To

LINK, A


RIGHTMARGIN=

RIGHTMARGIN=string

Specifies the right margin for the entire body of the page and overrides the default margin.

If set to "", the right margin will be exactly on the right edge.

Applies To

BODY


ROWS=

ROWS=long

Specifies the number of rows tall the textarea control should be.

Applies To

TEXTAREA


ROWS=

ROWS=string

A comma delimited list of frames to create. Each item in the list contains the initial size of the row.

Applies To

FRAMESET


ROWSPAN=

ROWSPAN=string

Specifies how many rows in a TABLE this cell should span.

Applies To

TD, TH


RULES=

RULES=ALL | COLS | GROUPS | NONE | ROWS

Specifies which dividing lines are displayed (inner borders).

ALL Displays a border on all rows and columns.

COLS Displays borders between all table columns.

GROUPS Displays horizontal borders between all table groups. Groups are specified by the THEAD, TBODY, TFOOT, and COLGROUP elements.

NONE Removes all interior table borders.

ROWS Displays horizontal borders between all table rows.

Applies To

TABLE


SCROLL=

SCROLL=string

Turns on or off the scrollbars.

'yes' (default), turns on scrollbars, 'no' turns off the scrollbars.

Applies To

BODY


SCROLLAMOUNT=

SCROLLAMOUNT=long

Specifies the number of pixels the text scrolls between each subsequent drawing of the MARQUEE.

Applies To

MARQUEE


SCROLLDELAY=

SCROLLDELAY=long

Specifies the speed the MARQUEE scroll in milliseconds.

Applies To

MARQUEE


SCROLLING=

SCROLLING=AUTO | NO | YES

Specifies that the frame can be scrolled.

AUTO The browser determines if the scrollbars are necessary.

NO The frame cannot be scrolled.

YES The frame can be scrolled.

The scrollbars default to AUTO if this attribute is omitted.

Applies To

FRAME, IFRAME


SELECTED

SELECTED

Indicates that this item is the default. If not present, the first item is selected by default.

This attribute is used to determine whether a value is submitted with the form. If the value of the control matches the default value, the control's value is not submitted. The value is only submitted when the control's value does not match the default value. Therefore, changing this value changes the rule for whether the value is submitted with the form.

Applies To

OPTION


SHAPE=

SHAPE=CIRC | CIRCLE | POLY | POLYGON | RECT | RECTANGLE

Specifies the type of shape used in the image map.

Each shape causes the coords attribute to take a different set of values. The table below describes the relationship:

RECT | Rectangle. Takes four coordinates: x1, y1, x2, and y2.
RECTANGLE | Rectangle. Takes four coordinates: x1, y1, x2, and y2.
CIRC | Circle. Takes three coordinates: centerx, centery, and radius.
CIRCLE | Circle. Takes three coordinates: centerx, centery, and radius.
POLY | Polygon. Takes three or more pairs of coordinates denoting a polygonal region.
POLYGON | Polygon. Takes three or more pairs of coordinates denoting a polygonal region.

Applies To

AREA


SIZE=

SIZE=string

Sets the height of the HR element in pixels.

Applies To

HR


SIZE=

SIZE=variant

Specifies the size of the control.

For the input tag, the size is in characters. For the select tag, when the size is specified, it represents a list box with the specified number of rows.

Applies To

INPUT, SELECT


SIZE=

SIZE=string

Specifies font size between 1 and 7 (7 is largest).

When used with the BASEFONT tag, throughout the document, relative font size settings -- for example, <FONT SIZE=+3> -- are set according to this value.

Applies To

BASEFONT, FONT


SPAN=

SPAN=integer

Specifies how many columns are in the group.

This attribute should be ignored if the COLGROUP element contains one or more COL elements. The purpose of this attribute is to provide a more convenient way of grouping columns without the need to specify COL elements.

Applies To

COL, COLGROUP


SRC=

SRC=string

Specifies a URI for the associated file.

Applies To

APPLET, EMBED, FRAME, HR, IFRAME, IMG, UL


SRC=

SRC=string

Specifies the URI of a sound to be played.

Applies To

BGSOUND


SRC=

SRC=string

Specifies an external file that contains the source code.

A script can contain an external reference as well as code within the block. The code specified by src precedes the code contained within the document.

Applies To

SCRIPT


START=

START=string

Specifies the starting number for a list.

Applies To

OL


START=

START=FILEOPEN | MOUSEOVER

For video clips: specifies when the file should start playing.

FILEOPEN The video starts as soon as it is finished loading.

MOUSEOVER The video starts when the mouse goes over the animation..

Applies To

IMG


STYLE=

STYLE=string

Specifies an in-line style sheet for the tag.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, h3, H2, H3, H4, H5, H6, HEAD, HR, I, IFRAME, IMG, INPUT, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, NOFRAMES, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP


TABINDEX=

TABINDEX=integer

Sets the tabindex for the object.

Tab selection order is determined by the value of tabIndex as follows:

First all elements with TABINDEX > 0 are selected in increasing tabIndex order, or in source order for duplicate TABINDEX values

Next all elements with tabIndex = 0, or without tabIndex set, in source order if more than one.

Elements with tabIndex = -1 are omitted from tab selection.

Applies To

INPUT, OBJECT, SELECT, TEXTAREA


TARGET=

TARGET=string

Specifies the window or frame to target the contents at.

Special Target Values |
_blank | Specifies to load the link into a new blank window. This window is not named.
_parent | Specifies to load the link into the immediate parent of the document the link is in.
_self | Specifies to load the link into the same window the link was clicked in.
_top | Specifies to load the link into the full body of the window.

If there is no frame or window that matches the specified target, a new window is opened for the link.

The default value for target depends upon the URL and site. If the user does not leave the site, the default is _self, but if the user exits to a new site, the default is _top.

Applies To

A, AREA, BASE, FORM, LINK


TEXT=

TEXT=color

Sets the color of text on the page. The color can be any one of the color names or values in Color Values.

Applies To

BODY


TITLE=

TITLE=string

The Title attribute is used to provide advisory information. The title is rendered on elements within the document as a tooltip.

The Title attribute is useful for at least two reasons. The HTML user agent may display the title of the document prior to retrieving it, for example, as a margin note or on a small box while the mouse is over the anchor, or while the document is being loaded. Another reason is that documents that are not marked up text, such as graphics, plain text and Gopher menus, do not have titles. The TITLE attribute can be used to provide a title to such documents. When using the TITLE attribute, the title should be valid and unique for the destination document.

Applies To

A, APPLET, FRAME, IFRAME, INPUT, OBJECT, SELECT, TEXTAREA, ADDRESS, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FONT, FORM, FRAMESET, h3, H2, H3, H4, H5, H6, HEAD, HR, HTML, I, IMG, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, META, NOBR, NOFRAMES, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP


TITLE=

TITLE=string

Specifies the style sheet title. Style sheets having the same title are grouped and applied to the document as if a single style sheet.

When no title is given, the style sheet is applied to the document by default.

Applies To

STYLE


TOPMARGIN=

TOPMARGIN=string

Specifies the margin for the top of the page and overrides the default margin.

If set to "", the margin will be exactly on the top edge.

Applies To

BODY


TRUESPEED=

TRUESPEED=string

This feature will always compute the true position of the marquee given the scrolldelay scrollamount and the actual time elapsed from the last clock tick.

When set to false, the marquee computes movement based on 60ms ticks of the clock: setting scrolldelay=6, and scrollamount=10 will advance the marquee 10 pixels every 60ms. For every scrolldelay value under 60, this amount is essentially ignored, and the marquee advances the amount of scrollamount each 60ms. When truespeed is set to true, the marquee will advance the pixel value of scrollamount per the number of milliseconds set for scrolldelay: in the previous example, the marquee would advance 10 pixels for every 6ms with truespeed set to true.

Applies To

MARQUEE


TYPE=

TYPE=1 | A | a | I | i

Changes the style of the list.

  1. Use numbers.

    A Use large letters.

    a Use small letters.

    I Use large roman numerals.

    i Use small roman numerals.

Applies To

LI, OL, UL


TYPE=

TYPE=BUTTON

Returns the CSS language that the style sheet is defined in.

BUTTON Command Button.

Applies To

STYLE


TYPE=

TYPE=string

Specifies the MIME type for the associated scripting engine.

Applies To

OBJECT


TYPE=

TYPE=CHECKBOX | FILE | HIDDEN | IMAGE | PASSWORD | RADIO | RESET | SELECT-MULTIPLE | SELECT-ONE | SUBMIT | TEXT | TEXTAREA

Specifies the type of intrinsic control.

CHECKBOX Used for simple Boolean attributes or for attributes that can take multiple values at the same time. It is represented by a number of check box fields, each of which has the same name. Each selected check box generates a separate name/value pair in the submitted data, even if this results in duplicate names. The default value for check boxes is on .

FILE A file upload element.

HIDDEN No field is presented to the user, but the content of the field is sent with the submitted form. This value can be used to transmit state information about client/server interaction.

IMAGE An image field which you can click, causing the form to be immediately submitted. The coordinates of the selected point are measured in pixel units from the upper-left corner of the image, and are returned (along with the other contents of the form) in two name/value pairs. The x-coordinate is submitted under the name of the field with .x appended, and the y-coordinate is submitted under the name of the field with .y appended. Any VALUE= attribute is ignored. The image itself is specified by the SRC= attribute, exactly as for the Image element.

PASSWORD The same as the TEXT attribute, except that text is not displayed as the user enters it.

RADIO Used for attributes that accept a single value from a set of alternatives. Each radio-button field in the group should be given the same name. Only the selected radio button in the group generates a name/value pair in the submitted data. Radio buttons require an explicit VALUE attribute.

RESET RESET is a button that when pressed resets the form's fields to their specified initial values. The label to be displayed on the button may be specified just as for the SUBMIT button.

SELECT-MULTIPLE Specifies a multiple select list box.

SELECT-ONE Specifies a single-select list box.

SUBMIT SUBMIT is a button that when pressed submits the form. You can use the VALUE= attribute to provide a non- editable label to be displayed on the button. The default label is application-specific. If a SUBMIT button is pressed in order to submit the form, and that button has a NAME= attribute specified, then that button contributes a name/value pair to the submitted data. Otherwise, a SUBMIT button makes no contribution to the submitted data.

TEXT Used for a single-line text-entry field. Use in conjunction with the SIZE= and MAXLENGTH= attributes.

TEXTAREA Used for multiple-line text-entry fields. Use in conjunction with the SIZE= and MAXLENGTH= attributes.

Applies To

INPUT


TYPE=

TYPE=BUTTON | RESET | SUBMIT

The author can define a button that will have UI that indicates default for the ENTER key (a dark border), and a button that will have default behavior for the ESC key.

BUTTON Command Button.

RESET RESET is a button that when pressed resets the form's fields to their specified initial values. The label to be displayed on the button may be specified just as for the SUBMIT button.

SUBMIT SUBMIT is a button that when pressed submits the form. You can use the VALUE= attribute to provide a non- editable label to be displayed on the button. The default label is application-specific. If a SUBMIT button is pressed in order to submit the form, and that button has a NAME= attribute specified, then that button contributes a name/value pair to the submitted data. Otherwise, a SUBMIT button makes no contribution to the submitted data.

Default key bindings will exist for:
<linput type=submit> - Enter key
<button type=submit> - Enter key
<button type=reset> - ESC key
<input type=reset >- ESC key

Default behavior is scoped to the form, or the document - if the focus is in the form, only the submit button within that form has a bold border and will fire a click event if ENTER is hit. (or in the case of ESC, the reset button within the form would fire a click event) If focus is on the document, only the default button on the document (if, of course, there is one) will appear with a bold border - and if the user hits ENTER, the default button for the document will fire a click event. And with focus on the document the ESC key will fire the onclick handler for a reset button that exists on the document.

Applies To

BUTTON


URL=

URL=string

If a URL is specifies, the URL will be loaded after the specified time has elapsed.

Applies To

META


URN=

URN=string

If present, the URN attribute specifies a uniform resource name (URN) for a target document. The format of URNs is under discussion (1994) by various working groups of the Internet Engineering Task Force.

Applies To

A


USEMAP=

USEMAP=string

Identifies the picture as a client-side image map and specifies a MAP to use for acting on the user's clicks.

Applies To

IMG


VALIGN=

VALIGN=BASELINE | BOTTOM | MIDDLE | TOP

Displays the elements aligned at the top or bottom within the element.

BASELINE Vertical align to the baseline of the font.

BOTTOM

MIDDLE

TOP

Applies To

COL, COLGROUP, TBODY, TD, TFOOT, TH, THEAD, TR


VALIGN=

VALIGN=BOTTOM | TOP

Specifies whether the caption appears at the top or bottom.

BOTTOM

TOP

Applies To

CAPTION


VALUE=

VALUE=string

For textual/numerical controls, specifies the default value of the control. For Boolean controls, specifies the value to be returned when the control is turned on

On a submit button, if the value is not specified, the caption defaults to "Submit". On a reset button, if the value is not specified, the caption defaults to "Reset".

Applies To

INPUT, OPTION


VALUE=

VALUE=variant

Changes the count of ordered lists as they progress.

Applies To

LI


VLINK=

VLINK=color

The color of shortcuts that have already been visited. The color can be any one of the color names or values in Color Values.

Applies To

BODY


VOLUME=

VOLUME=string

To be provided

Applies To

BGSOUND


VRML=

VRML=string

Embeds VRML worlds. This requires the Virtual Explorer plug-in to be installed.

Applies To

IMG


VSPACE=

VSPACE=string

Along with HSPACE=, specifies margins for the element.

Similar to BORDER=, except the margins are not painted with color when the element is a hyperlink.

Applies To

APPLET, IFRAME, IMG, MARQUEE


WIDTH=

WIDTH=string

Returns the calculated width of the element in pixels. In HTML, this attribute may be initially set in pixels or percentages.

The width attribute on an IMG allows the size of the image to be defined in advance to speed up the rendering of the page.

Applies To

FRAME, EMBED, MARQUEE, IFRAME, IMG, OBJECT, TABLE


WRAP=

WRAP=OFF | PHYSICAL | VIRTUAL

Specifies how to handle word-wrapping in the textarea.

OFF Word-wrapping is disabled. The lines appear exactly as the user types them.

PHYSICAL The text is displayed and submitted word-wrapped.

VIRTUAL The text is displayed word-wrapped but is submitted as typed.

The default is that word-wrapping is turned off.

Applies To

TEXTAREA


CSS attributes

Cascading style sheets (CSS) are design templates that provide centralized control over presentation and layout of HTML elements. They allow you to separate the way you design information from the HTML content, and are the key to implementing Dynamic HTML (DHTML). CSS attributes are the building blocks of cascading style sheets. The topics in this section describe the CSS attributes and show the proper syntax for their use.


Reference

For additional details, see W3C Recommendation for Cascading Style Sheets and W3C Working Draft on Positioning HTML with Cascading Style Sheets.


background Attribute

{ background: transparent| <color> || <url> || <repeat> || <scroll> || <position>}

'background' describes the background of an element.

This attribute is not inherited.

Settings

Background can be any one of the below

  • one color

  • two colors which will be blended according to the 'bg-blend-direction' property an image pointed to by a URI, possibly combined with one color or two blended colors

  • transparent

Corresponding examples:

BODY { background: red } /* one color */

h3 { background: blue / red } /* blend two colors */

BODY { background: "chess.png" black / white } /* img + color combo */

P { background: transparent }

This property does not inherit, but the parent element's background will shine through by default due to the initial transparent value.

If an image is found through the URI, it will be overlaid on top of any color specified. The color (or color combination) is used:

  • to fill transparent regions of an image

  • while loading the image from the URI

  • if no URI is specified

<repeat>

Value: repeat | repeat-x | repeat-y | no-repeat Initial: repeat scroll

By default, the background image is repeated both in the x and y direction.

BODY { background: http://style.com/marble.png repeat-x }

BODY { bg-style: repeat-y }

<scroll>

Value: scroll | fixed Initial: scroll

This property describes how the background image should be laid out. By default, the image is scrolled along with the other content. A 'fixed' background is fixed with regard to the canvas.

BODY { bg-style: repeat-x }

BODY { bg-style: repeat-x scroll }

<position>

Value: <percentage> | <length> | left | center | right [ <percentage> | <length> | top | middle | bottom]? Initial: 0% 0%

The property describes the initial position of a background image specified with the 'background' property. If only one value is given, it sets both the horizontal and vertical offset of the background image. If two values are given, the horizontal position comes first.

With a value pair of '0% 0%', the upper left corner of the image is placed in the upper left corner of the element. A value pair of '100% 100%' places the lower right corner of the image in the lower right corner of the element. With a value pair of '14% 84%', the point 14% across and 84% down the image is to be placed at the point 14% across and 84% down the element.

If the background image is fixed with regard to the canvas (a possible value of 'bg-style'), the images are placed relative to the canvas instead of the element. E.g.:

BODY {

background: url(logo.png) fixed 100% 100%;

}

In the example above, the image is placed in the lower right corner of the canvas.

The keyword values are defined as follows:

left = 0%

center = 50%

right = 100%

top = 0%

middle = 50%

bottom = 100%


background-attachment Attribute

{ background-attachment: scroll| fixed}

If a background image is specified, the value of ''background-attachment' determines if it is fixed with regard to the canvas or if it scrolls along with the content.

This attribute is not inherited.


background-color Attribute

{ background-color: <color> | transparent}

This property sets the background color of an element.

This attribute is not inherited.


background-image Attribute

{ background-image: <url> | none}

This property sets the background image of an element.

This attribute is not inherited.


background-position Attribute

{ background-position: [<position> | <length>]{1,2} | [top | center | bottom] || [left | center | right]}

If a background image has been specified, the value of 'background-position' specifies its initial position.

This attribute is not inherited.


background-repeat Attribute

{ background-repeat: repeat| repeat-x | repeat-y | no-repeat}

If a background image is specified, the value of 'background-repeat' determines how/if the image is repeated.

This attribute is not inherited.


border Attribute

{ border: <border-width> || <border-style> || <color>}

This attribute specifies the border to display around the element. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-bottom Attribute

{ border-bottom: <border-bottom-width> || <border-style> || <color>}

This attribute specifies the bottom border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-bottom-color Attribute

{ border-bottom-color: <color>}

This property sets the color of an element's bottom border. Supported on block and replaced elements only.

This attribute is not inherited.


border-bottom-style Attribute

{ border-bottom-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's bottom border. Supported on block and replaced elements only.

This attribute is not inherited.


border-bottom-width Attribute

{ border-bottom-width: thin | medium| thick | <length>}

This property sets the width of an element's bottom border. Supported on block and replaced elements only.

This attribute is not inherited.


border-color Attribute

{ border-color: <color>{1,4}}

This property sets the color of the four borders. Supported on block and replaced elements only.

This attribute is not inherited.


border-left Attribute

{ border-left: <border-left-width> || <border-style> || <color>}

This attribute sets the left border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-left-color Attribute

{ border-left-color: <color>}

This property sets the color of an element's left border. Supported on block and replaced elements only.

This attribute is not inherited.


border-left-style Attribute

{ border-left-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's left border. Supported on block and replaced elements only.

This attribute is not inherited.


border-left-width Attribute

{ border-left-width: thin | medium| thick | <length>}

This property sets the width of an element's left border. Supported on block and replaced elements only.

This attribute is not inherited.


border-right Attribute

{ border-right: <border-right-width> || <border-style> || <color>}

This attribute sets the right border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-right-color Attribute

{ border-right-color: <color>}

This property sets the color of an element's right border. Supported on block and replaced elements only.

This attribute is not inherited.


border-right-style Attribute

{ border-right-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's right border. Supported on block and replaced elements only.

This attribute is not inherited.


border-right-width Attribute

{ border-right-width: thin | medium| thick | <length>}

This property sets the width of an element's right border. Supported on block and replaced elements only.

This attribute is not inherited.


border-style Attribute

{ border-style: none| dotted | dashed | solid | double | groove | ridge | inset | outset}

This property sets the style of the for borders. Supported on block and replaced elements only.

This attribute is not inherited.


border-top Attribute

{ border-top: <border-top-width> || <border-style> || <color>}

This attribute describes top border. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

These properties set the border of an element: the 'border' property sets the border for all four sides while the other properties only set their respective side.

The border is drawn in the image pointed to by the URL. If no URL is specified, or when the image is not available, the color value is used.

If an image is found through the URL, it will be used as a texture (i.e. repeated) to draw the border. The <color> value, if specified, is used:

  • to fill transparent regions of an image

  • while loading the image from the URL

  • if no URL is specified

If no <color> value is specified, the value of the 'color' property will take its place:

P {

color: black;

background: white;

border: solid;

}

In the above example, the border will be a solid black line.

<border-width> Value: [ thin | medium | thick | <length> ]
Initial: medium

The keyword widths are constant throughout a document:

h3 { border: solid thick red }

P { border: solid thick blue }

In the example above, 'h3' and 'P' elements will have the same border width regardless of font size. To do relative width, the 'em' unit can be used:

h3 { border: solid 0.5em }

<border-style> Value: [ none | dotted | dashed | solid | double | groove | ridge | inset | outset ]
Initial: none

The following border styles are defined:

none

no border is drawn (regardless of any <border-width>)

dotted

the border is a dotted line drawn on top of the background of the element

dashed

the border is a dashed line drawn on top of the background of the element

solid

the border is a solid line

double

the border is a double line drawn on top of the background of the element. The sum of the two single lines and the space between equals the <border-width> value.

groove

a 3D groove is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

ridge

a 3D ridge is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

inset

a 3D inset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>

outset

a 3D outset is drawn in colors based on the <URL> and/or the <color> value. To save colors and processing power, UAs may choose to ignore the image for this <border-style>


border-top-color Attribute

{ border-top-color: <color>}

This property sets the color of an element's top border. Supported on block and replaced elements only.

This attribute is not inherited.


border-top-style Attribute

{ border-top-style: none | dotted | dashed | solid | double | groove | ridge | inset | outset }

This property sets the style of an element's top border. Supported on block and replaced elements only.

This attribute is not inherited.


border-top-width Attribute

{ border-top-width: thin | medium| thick | <length>}

This property sets the width of an element's top border. Supported on block and replaced elements only.

This attribute is not inherited.


border-width Attribute

{ border-width: [thin | medium | thick | <length>]{1,4}}

This property is a shorthand property for setting 'border-width-top', 'border-width-right', 'border-width-bottom', and 'border-width-left' at the same place in the style sheet. Supported on block and replaced elements only.

This attribute is not inherited.


clear Attribute

{ clear: none| left | right | both}

Specifies if elements allow floating elements (normally images) to the left or right. More specifically, the value of this property lists the sides where floating elements are not accepted. With 'clear' set to 'left', an element will be moved below any floating element on the left side. With 'clear' set to 'none', floating elements are allowed on all sides. For example:

h3 { clear: left }

This attribute is not inherited.


clip Attribute

{ clip: <shape> | auto }

Specifies which part of the element is visible. Any part of an element that is outside the clip area is transparent.

The shape can be:
rect (<top> <right><bottom> <left>)
where <top>, <right>, <bottom>, and <left> specify either auto or a length value.

This attribute is not inherited.


color Attribute

{ color: <color>}

This property describes the text color of an element, i.e. the "foreground" color.

This attribute is inherited.

Settings

There are different ways to specify red:

EM { color: red } /* natural language / CNS */

EM { color: #F00 } /* #RGB */

EM { color: #FF0000 } /* #RRGGBB */

EM { color: rgb 1.0 0.0 0.0 } /* float range: 0.0 - 1.0 */


cursor Attribute

{ cursor: auto | crosshair | default | hand | move | e-resize | ne-resize | nw-resize | n-resize | se-resize | sw-resize | s-resize | w-resize| text | wait | help}

Specifies the type of cursor to be displayed for the mouse pointer.

auto

The UA determines the cursor to display based on the current context.

crosshair

a simple crosshair

default

The platform-dependent default cursor. Usually an arrow.

hand

A hand

move

indicates something is to be moved

*-resize

indicates that the edge is to be moved

text

Used to indicate editable text. Usually an I-bar.

wait

A cursor to indicate that the program is busy and the user should wait. Usually a watch or hourglass.

This attribute is inherited.


display Attribute

{ display: none}

Indicates whether an element is rendered. If set to "none", the element is not rendered. If set to "", the element is rendered. The default value is "". In contrast to the Visibility attribute, if the value is set to "none", no space is reserved for the element on the screen.

For values other than 'none', the element will display with its normal display type.

This attribute is not inherited.


float Attribute

{ float: left | right | none}

Specifies whether the object floats, causing text to flow around it.

This attribute is not inherited.

Settings

With the value 'none', the element will be displayed where it appears in the text. With a value of 'left' ('right') the margin properties will decide the horizontal positioning of the image and the text will float on the right (left) side of the image. With a a value of 'left' or 'right', the element is treated as block-level (i.e. the 'display' property is ignored)


font Attribute

{ font: [ <font-style> || <font-variant> || <font-weight> ]? <font-size> [ / <line-height> ]? <font-family>}

Defines the font attributes.

This attribute is inherited.


@font-face Attribute

@font-face { font-family: <font-family> ; url(<URL>); }

Specifies a font to embed into your HTML document. This feature allows you to use specific fonts that might not be available on your local system. The URL should point to an embedded OpenType file (.eot or .ote format). The file contains compressed, subsetted font data that is converted to a TrueType font and installed by T2embed.dll.

The example below shows how to embed a font in an HTML document by referencing its source from another site.

<html>

<head>

<style>

@font-face {font-family:comic;

src:url(http://axtest/tritest/beta2styles/fonts/comicbold.eot);}

</style>

<title>Font embedding using the @font-face</title>

</head>

<body>

<p style="font-family:comic;font-size:18pt">this line uses @font face defined in the above style element section using comic sans ms bold in 18pt.</p>

</body>

</html>

The following example uses an in-line style.

<html>

<head>

<title>Font embedding using the @font-face</title>

<body>

<p style="@font-face comic{src:url(http://axtest/tritest/beta2styles/fonts/comicbold.eot);} this is an in-line style example of the @font face attribute using comic sans ms bold font.

</body>

</html>

Another example uses the STYLE element to combine several style sheets.

<STYLE>

@import url(http://somepartialstylesheet);

@import url(http://someotherstylesheet);

h3 {color:yellow}

</STYLE>


font-family Attribute

{ font-family: [[ <family-name> | <generic-family> ] , ]* [ <family-name> | <generic-family> ]}

Sets the font-family.

This attribute is inherited.

Settings

The value is a prioritized list of font family names and/or generic family names. List items are separated by white space. If the font family name contains white space, it should be quoted with single or double quotes.

In level 1, the following generic families are defined:

'serif' (e.g. Times)

'sans-serif' (e.g. Helvetica)

'cursive' (e.g. Zapf-Chancery)

'fantasy' (e.g. Western)

'monospace' (e.g. Courier)

Style sheet writers are encouraged to offer a generic font family at the end of the list:

BODY { font-family: univers helvetica sans-serif }

BODY { font-family: 'new century schoolbook' serif }

BODY { font-family: "Bill's own font" fantasy }

Ideally, the style sheet designer should specify only one font, and the font manager should return the best alternative (perhaps by taking visual similarity, visual quality and performance into account). Unfortunately, current rendering environments do not offer this level of service, and it is beyond the style sheet mechanism to do so. Therefore, a prioritized list of alternative families can be supplied. This practice poses one problem: the UA must be able to determine if a font selection has been successful or not to know how far it should proceed in the list. One example: if the style sheet asks for 'univers' and the window system is smart enough to suggest 'helvetica' (which looks almost identical) as a replacement, is this a success or failure? This specification leaves the answer undefined for now.


font-size Attribute

{ font-size: [xx-large | x-large | large | medium | small | x-small | xx-small] | [larger | smaller] | <percentage> | <length>}

Specifies the font size.

This attribute is inherited.

Settings

Refer to the CSS1 specification for details on font-size.


font-style Attribute

{ font-style: normal| italic | oblique}

Sets the font style.

IE currently only supports italic | normal.

This attribute is inherited.

Settings

Legal combinations of the values are:

  • one of the four values

  • 'italic' or 'oblique', combined with 'small-caps'

If the preferred font style cannot be accomplished, the UA should make best efforts to find acceptable substitutions. Often, an 'oblique' font can be substituted by an 'italic' font. If 'small-caps' are not available, capital letters of a smaller font size can be used to render small characters if the resolution of the output medium is appropriate for this.

h3, H2, H3 { font-style: small-caps italic }

h3 EM { font-style: italic }

In the example above, emphasized text within 'h3' will appear in normal lower-case italic.


font-variant Attribute

{ font-variant: normal| small-caps}

Sets a font variation, such as small caps.

This attribute is inherited.


font-weight Attribute

{ font-weight: normal| bold | bolder | lighter | 100 | 200 | 300 | 400 | 500 | 600 | 700 | 800 | 900}

Sets the weight (boldness) of the text.

IE currently only supports normal | bold.

This attribute is inherited.

Settings

If the value is a number, it is interpreted relative to the parent element's weight. A value of '1' suggests two jumps in the table corresponding to the keywords.

P { font-weight: medium }

B { font-weight: +1 } /* the '+' is optional */

In the example above, 'B' elements will be two table position "bolder" than their parent. If they are children of an 'P' element, the resulting value is 'bold'. Non-integer font weights are allowed.

If the desired font weight is not available, the UA selects an approximation strategy.


height Attribute

{ height: <length> | auto}

This property can be applied to text, but it is most useful with inline images and similar insertions. The height is to be enforced by scaling the image if necessary. When scaling, the aspect ratio of the image should be preserved if the 'width' property is 'auto'.

This attribute is not inherited.


@import Attribute

@import url (<URL>);

Specifies a style sheet to import. The statement must occur at the start of a style sheet, before any declarations.

Rules in the style sheet override rules in the imported style sheet.


left Attribute

{ left: <length> | <percentage> | auto}

Sets the left position when in a positioned element.

This attribute is not inherited.


letter-spacing Attribute

{ letter-spacing: normal| <length>}

The length unit indicates an addition to the default space between characters.

This attribute is inherited.

Settings

Values can be negative, but there may be implementation-specific limits. The UA is free to select the exact spacing algorithm. The letter spacing may also be influenced by justification (which is a value of the 'align' property).

BLOCKQUOTE { letter-spacing: 0.1em }

Here, the word-spacing between each character in 'BLOCKQUOTE' elements would be increased with '0.1em'.


line-height Attribute

{ line-height: normal| <number> | <length> | <percentage>}

The property refers to the distance between two adjacent lines' baselines.

This attribute is inherited.

Settings

If there is more than one element on a formatted line, the maximum 'line-height' will apply. One should therefore be careful when setting 'line-height' on inline elements.

Negative values are not allowed.

DIV { line-height: 1.2%; font-size: 10pt } /* number */

DIV { line-height: 1.2em; font-size: 10pt } /* length */

DIV { line-height: 120%; font-size: 10pt } /* percentage */

The three rules in the above example are identical. If the value is set to 'normal', the line-height is set to a reasonable value for the element's font. It is recommended that the 'normal' value be set between 1.0 and 1.2.


list-style Attribute

{ list-style: <keyword> || <position> || <url>}

This property can be set on any element, and it will inherit normally down the tree. However, the 'list-style' will only be displayed on elements with a 'display' value of 'list-item'. In HTML this is typically the case for the 'LI' element.

The 'list-style' property is a shorthand notation for setting the three properties 'list-style-type', 'list-style-image', and 'list-style-position' at the same place in the style sheet.

This attribute is inherited.

Settings

If no type is specified, the default is disc and the default position is outside.


list-style-image Attribute

{ list-style-image: <url> | none}

This property sets the image that will be used as the list-item marker. When the image is available it will replace the marker set with the 'list-style-type' marker.

This property is only applicable on elements with a 'display' value of 'list-item'.

This attribute is inherited.


list-style-position Attribute

{ list-style-position: inside | outside}

The value of 'list-style-position' determines how the list-item marker is drawn with regard to the content.

This property is only applicable on elements with a 'display' value of 'list-item'.

This attribute is inherited.


list-style-type Attribute

{ list-style-type: disk| circle | square | decimal | lower-roman | upper-roman | lower-alpha | upper-alpha | none}

This property is used to determine the appearance of the list-item marker if 'list-style-image' is 'none' or if the image pointed to by the URL cannot be displayed.

This property is only applicable on elements with a 'display' value of 'list-item'.

This attribute is inherited.


margin Attribute

{ margin: [ <length> | <percentage> | auto ] {1,4}}

Allows all four margins to be specified with a single attribute. Supported on block and replaced elements only.

This attribute is not inherited.

Settings

The values specify the margins in the following order: top,right,bottom, left.


margin-bottom Attribute

{ margin-bottom: [ <length> | <percentage> | auto ]}

Specifies the bottom-margin for the text block. Supported on block and replaced elements only.

This attribute is not inherited.


margin-left Attribute

{ margin-left: [ <length> | <percentage> | auto ]}

Specifies the left-margin for the text. Supported on block and replaced elements only.

This attribute is not inherited.


margin-right Attribute

{ margin-right: [ <length> | <percentage> | auto ]}

Specifies the right-margin for the text. Supported on block and replaced elements only.

This attribute is not inherited.


margin-top Attribute

{ margin-top: [ <length> | <percentage> | auto ]}

Specifies the top-margin for the text. Supported on block and replaced elements only.

This attribute is not inherited.


overflow Attribute

{ overflow: none | clip | scroll}

This attribute is not inherited.


padding Attribute

{ padding: [ <length> | <percentage> ] {1,4}}

The property describes how much space to insert between the border and the content (e.g. text or image). The order is top, right, bottom, left. If there is only one value, it applies to all sides, if there are two or three, the missing values are taken from the opposite side.

Supported on block and replaced elements only.

This attribute is not inherited.


padding-bottom Attribute

{ padding-bottom: <length> | <percentage>}

This property sets the bottom padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


padding-left Attribute

{ padding-left: <length> | <percentage>}

This property sets the left padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


padding-right Attribute

{ padding-right: <length> | <percentage>}

This property sets the right padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


padding-top Attribute

{ padding-top: <length> | <percentage>}

This property sets the top padding of an element. Supported on block and replaced elements only.

Padding values cannot be negative.

This attribute is not inherited.


page-break-after Attribute

{ page-break-after: }

To be provided.

This attribute is not inherited.


page-break-before Attribute

{ page-break-before: }

To be provided.

This attribute is not inherited.


position Attribute

{ position: absolute | relative | static}

Specifies whether the element can be positioned. When set to relative, the object is placed relative to its parent object. When set to absolute, it is placed relative to the document.

<DIV align=center> Hello

<SPAN Style="position:relative; top:100; left:100"> World </SPAN>

</DIV>

The word "Hello" will be placed in the center of the screen. The word "World" will be placed down 100 and right 100 relative to the word "Hello".

This attribute is not inherited.


text-align Attribute

{ text-align: left | right | center | justify}

This property describes how text is aligned within the element. The actual justification algorithm used is UA and human language dependent.

This attribute is inherited.

Settings

Example

DIV.center { text-align: center }

Since this property inherit, all block-level elements inside the 'DIV' element with 'CLASS=center' will be centered. Note that alignments are relative to the width of the element, not the canvas.


text-decoration Attribute

{ text-decoration: none| [ underline || overline || line-through || blink ]}

This property describes decorations that are added to the text of an element.

This attribute is not inherited.

Settings

If the element has no text (e.g. the IMG element in HTML) or is an empty element (e.g. "<EM></EM>"), this property has no effect.

Formatters should treat unknown values as 'box', which should be rendered as a simple rectangle around the element. If the element is 'inline' and spans several lines, the UA is free to render several boxes, possibly with omitted edges.

If more than one color is required, e.g. for the 'box', the other colors should be based on the text color.

This property is not inherited, but children elements should match their ancestor. E.g., if an element is underlined, the line should span the child elements. The color of the underlining will remain the same even if descendant elements have different 'color' values.

A:link, A:visited, A:active { text-decoration: underline }

The example above would underline the text of all active links.


text-indent Attribute

{ text-indent: <length> | <percentage>}

The property specifies indent that appears before the first formatted line. 'text-indent' may be negative. An indent is not inserted in the middle of an element that was broken by another (such as 'BR' in HTML).

This attribute is inherited.

Settings

Example

P { text-indent: 3em }


text-transform Attribute

{ text-transform: capitalize | uppercase | lowercase | none}

Transforms the text.

This attribute is inherited.

Settings

The actual transformation in each case is human language and UA dependent.

h3 { text-transform: uppercase }

The example above would put 'h3' elements in uppercase text.


top Attribute

{ top: <length> | <percentage> | auto}

Sets or Returns the top position for elements that are positioned absolutely or relatively

This attribute is not inherited.


vertical-align Attribute

{ vertical-align: baseline| sub | super | top | text-top | middle | bottom | text-bottom | <percentage>}

The property affects the vertical positioning of the element.

This attribute is not inherited.

Settings

One set of keywords is relative to the parent element:

  • baseline

  • middle

  • sub

  • super

  • text-top

  • text-bottom

Another set of properties are relative to the formatted line that the element is a part of:

  • top

  • bottom

Using the 'top' and 'bottom' alignment, unsolvable situations can occur where element dependencies form a loop.

Percentage values refer to the 'line-height' of the element itself. E.g., a value of '-100%' will lower the element to where the baseline of the next line should have been.

The 'first-letter' pseudo-element has a special interpretation of a negative value on 'vertical-align': the letter is "dropped" into the element.

Example

SPAN.subscript { vertical-align: sub }


visibility Attribute

{ visibility: visible | hidden | inherit}

This attribute is not inherited.


width Attribute

{ width: <length> | <percentage> | auto}

This property can be applied to text elements, but it is most useful with inline images and similar insertions. The width is to be enforced by scaling the image if necessary. When scaling, the aspect ratio of the image should be preserved if the 'height' property is 'auto'.

This attribute is not inherited.


z-index Attribute

{ z-index: number}

Specifies the z-index for the element. Positive z-index is above the text, negative z-index is rendered below the text.

This attribute is not inherited.


The :link, :visited, and :active Pseudo-Classes

The :link, :visited, and :active pseudo-classes let you set the style of A elements based on the current state of the links. In a selector, you use these pseudo-classes with the A element in the same way you would use class identifiers.

A:link { color: red } /* unvisited link */

A:visited { color: blue } /* visited links */

Unlike class identifiers, you do not use the pseudo-classes with the CLASS= attribute. Instead, the browser automatically interprets which pseudo-class to use based on the state of the link.

You can combine pseudo-classes with normal classes.

A.external:visited { color: blue }

If the URL specified by an A element having the external class (defined above) has been visited, it displays in blue. Note that normal class identifiers must precede the pseudo-class in the selector.

You can apply pseudo-classes to nested element names, just as with class identifiers.

A:link IMG { border: solid blue }

Using pseudo-classes on elements other than the A element has no effect.


Unsupported CSS Attributes

Internet Explorer 4.0 does not support the following CSS attributes.

word-spacing

!important

first-letter pseudo

first-line pseudo

white-space


HTML Character Sets

Character sets determine how the bytes that represent the text of your HTML document are translated to readable characters. Microsoft® Internet Explorer interprets the bytes in your document according to the applied character set translations. It interprets numeric character references ("&#12345;") as ISO10646 code points, consistent with the Unicode Standard, version 2.0, and independent of the chosen character set. Named entities ("&") are displayed independently of the chosen character set as well.

The display of an arbitrary numeric character reference requires the existence of a font that is able to display that particular character on the user's system. Accordingly, the content in the first column of the following tables may not render as expected on all systems.


ISO Latin-1 Character Set

This document lists and displays the colors supported by Microsoft® Internet Explorer 4.0.

You can specify colors in two ways—by using a color name, or by using numbers to denote a red-green-blue (RGB) color value.

NAME | RGB Value | NAME | RGB Value
ALICEBLUE | #F0F8FF | ANTIQUEWHITE | #FAEBD7
AQUA | #00FFFF | AQUAMARINE | #7FFFD4
AZURE | #F0FFFF | BEIGE | #F5F5DC
BISQUE | #FFE4C4 | BLACK | #000000
BLANCHEDALMOND | #FFEBCD | BLUE | #0000FF
BLUEVIOLET | #8A2BE2 | BROWN | #A52A2A
BURLYWOOD | #DEB887 | CADETBLUE | #5F9EA0
CHARTREUSE | #7FFF00 | CHOCOLATE | #D2691E
CORAL | #FF7F50 | CORNFLOWER | #6495ED
CORNSILK | #FFF8DC | CRIMSON | #DC143C
CYAN | #00FFFF | DARKBLUE | #00008B
DARKCYAN | #008B8B | DARKGOLDENROD | #B8860B
DARKGRAY | #A9A9A9 | DARKGREEN | #006400
DARKKHAKI | #BDB76B | DARKMAGENTA | #8B008B
DARKOLIVEGREEN | #556B2F | DARKORANGE | #FF8C00
DARKORCHID | #9932CC | DARKRED | #8B0000
DARKSALMON | #E9967A | DARKSEAGREEN | #8FBC8B
DARKSLATEBLUE | #483D8B | DARKSLATEGREY | #2F4F4F
DARKTURQUOISE | #00CED1 | DARKVIOLET | #9400D3
DEEPPINK | #FF1493 | DEEPSKYBLUE | #00BFFF
DIMGRAY | #696969 | DODGERBLUE | #1E90FF
FIREBRICK | #B22222 | FLORALWHITE | #FFFAF0
FORESTGREEN | #228B22 | FUCHIA | #FF00FF
GAINSBORO | #DCDCDC | GHOSTWHITE | #F8F8FF
GOLD | #FFD700 | GOLDENROD | #DAA520
GRAY | #808080 | GREEN | #008000
GREENYELLOW | #ADFF2F | HONEYDEW | #F0FFF0
HOTPINK | #FF69B4 | INDIANRED | #CD5C5C
INDIGO | #4B0082 | IVORY | #FFFFF0
KHAKI | #F0E68C | LAVENDER | #E6E6FA
LAVENDERBLUSH | #FFF0F5 | LAWNGREEN | #7CFC00
LEMONCHIFFON | #FFFACD | LIGHTBLUE | #ADD8E6
LIGHTCORAL | #F08080 | LIGHTCYAN | #E0FFFF
LIGHTGOLDENRODYELLOW | #FAFAD2 | LIGHTGREEN | #90EE90
LIGHTGREY | #D3D3D3 | LIGHTPINK | #FFB6C1
LIGHTSALMON | #FFA07A | LIGHTSEAGREEN | #20B2AA
LIGHTSKYBLUE | #87CEFA | LIGHTSLATEGRAY | #778899
LIGHTSTEELBLUE | #B0C4DE | LIGHTYELLOW | #FFFFE0
LIME | #00FF00 | LIMEGREEN | #32CD32
LINEN | #FAF0E6 | MAGENTA | #FF00FF
MAROON | #800000 | MEDIUMAQUAMARINE | #66CDAA
MEDIUMBLUE | #0000CD | MEDIUMORCHID | #BA55D3
MEDIUMPURPLE | #9370DB | MEDIUMSEAGREEN | #3CB371
MEDIUMSLATEBLUE | #7B68EE | MEDIUMSPRINGGREEN | #00FA9A
MEDIUMTURQUOISE | #48D1CC | MEDIUMVIOLETRED | #C71585
MIDNIGHTBLUE | #191970 | MINTCREAM | #F5FFFA
MISTYROSE | #FFE4E1 | MOCCASIN | #FFE4B5
NAVAJOWHITE | #FFDEAD | NAVY | #000080
OLDLACE | #FDF5E6 | OLIVE | #808000
OLIVEDRAB | #6B8E23 | ORANGE | #FFA500
ORANGERED | #FF4500 | ORCHID | #DA70D6
PALEGOLDENROD | #EEE8AA | PALEGREEN | #98FB98
PALETURQUOISE | #AFEEEE | PALEVIOLETRED | #DB7093
PAPAYAWHIP | #FFEFD5 | PEACHPUFF | #FFDAB9
PERU | #CD853F | PINK | #FFC0CB
PLUM | #DDA0DD | POWDERBLUE | #B0E0E6
PURPLE | #800080 | RED | #FF0000
ROSYBROWN | #BC8F8F | ROYALBLUE | #4169E1
SADDLEBROWN | #8B4513 | SALMON | #FA8072
SANDYBROWN | #F4A460 | SEAGREEN | #2E8B57
SEASHELL | #FFF5EE | SIENNA | #A0522D
SILVER | #C0C0C0 | SKYBLUE | #87CEEB
SLATEBLUE | #6A5ACD | SLATEGRAY | #708090
SNOW | #FFFAFA | SPRINGGREEN | #00FF7F
STEELBLUE | #4682B4 | TAN | #D2B48C
TEAL | #008080 | THISTLE | #D8BFD8
TOMATO | #FF6347 | TURQUOISE | #40E0D0
VIOLET | #EE82EE | WHEAT | #F5DEB3
WHITE | #FFFFFF | WHITESMOKE | #F5F5F5
YELLOW | #FFFF00 | YELLOWGREEN | #9ACD32

Note These colors might not be compatible with other browsers.

An RGB color value consists of three two-digit hexadecimal numbers, with each number specifying the intensity of the corresponding color. For example, the color value #FF0000 is red because the red number is set to its highest value, FF (255 in the decimal, or base 10, system). Green and blue are set to zero. Similarly, #00FF00 is green and #0000FF is blue. The pound sign (#) is optional. In the following example, the HTML code displays a red horizontal rule.

<HR COLOR="#FF0000">

Although RGB color values theoretically allow for many thousands of colors, the actual number of colors available for your HTML document depends on the color capabilities of the devices the document will be viewed on. Many personal computers can display only 16 colors due to the type of video display adapter they use. Always choose colors carefully and, whenever possible, test your color choices on a variety of computers.

Character sets determine how the bytes that represent the text of your HTML document are translated to readable characters. Microsoft® Internet Explorer interprets the bytes in your document according to the applied character set translations. It interprets numeric character references ("&#12345;") as ISO10646 code points, consistent with the Unicode Standard, version 2.0, and independent of the chosen character set. Named entities ("&") are displayed independently of the chosen character set as well. The display of an arbitrary numeric character reference requires the existence of a font that is able to display that particular character on the user's system.

ISO Latin-1 Character Set

The following table contains the complete ISO Latin-1 character set, corresponding to the first 256 entries of the Unicode character repertoire in Internet Explorer 4.0. The table describes each character, its decimal code, and its named entity reference for HTML, and also provides a brief description.

Character | Decimal code | Named entity | Description
--- | &#00; | --- | Unused
--- | &#01; | --- | Unused
--- | &#02; | --- | Unused
--- | &#03; | --- | Unused
--- | &#04; | --- | Unused
--- | &#05; | --- | Unused
--- | &#06; | --- | Unused
--- | &#07; | --- | Unused
--- | &#08; | --- | Unused
--- | &#09; | --- | Horizontal tab
--- | &#10; | --- | Line feed
--- | &#11; | --- | Unused
--- | &#12; | --- | Unused
--- | &#13; | --- | Carriage Return
--- | &#14; | --- | Unused
--- | &#15; | --- | Unused
--- | &#16; | --- | Unused
--- | &#17; | --- | Unused
--- | &#18; | --- | Unused
--- | &#19; | --- | Unused
--- | &#20; | --- | Unused
--- | &#21; | --- | Unused
--- | &#22; | --- | Unused
--- | &#23; | --- | Unused
--- | &#24; | --- | Unused
--- | &#25; | --- | Unused
--- | &#26; | --- | Unused
--- | &#27; | --- | Unused
--- | &#28; | --- | Unused
--- | &#29; | --- | Unused
--- | &#30; | --- | Unused
--- | &#31; | --- | Unused
 | &#32; | --- | Space
! | &#33; | --- | Exclamation mark
" | &#34; | &quot; | Quotation mark
# | &#35; | --- | Number sign
$ | &#36; | --- | Dollar sign
% | &#37; | --- | Percent sign
& | &#38; | &amp; | Ampersand
' | &#39; | --- | Apostrophe
( | &#40; | --- | Left parenthesis
) | &#41; | --- | Right parenthesis
* | &#42; | --- | Asterisk
+ | &#43; | --- | Plus sign
, | &#44; | --- | Comma
- | &#45; | --- | Hyphen
. | &#46; | --- | Period (fullstop)
/ | &#47; | --- | Solidus (slash)
0 | &#48; | --- | Digit 0
1 | &#49; | --- | Digit 1
2 | &#50; | --- | Digit 2
3 | &#51; | --- | Digit 3
4 | &#52; | --- | Digit 4
5 | &#53; | --- | Digit 5
6 | &#54; | --- | Digit 6
7 | &#55; | --- | Digit 7
8 | &#56; | --- | Digit 8
9 | &#57; | --- | Digit 9
: | &#58; | --- | Colon
; | &#59; | --- | Semicolon
< | &#60; | &lt; | Less than
= | &#61; | --- | Equals sign
> | &#62; | &gt; | Greater than
? | &#63; | --- | Question mark
@ | &#64; | --- | Commercial at
A | &#65; | --- | Capital A
B | &#66; | --- | Capital B
C | &#67; | --- | Capital C
D | &#68; | --- | Capital D
E | &#69; | --- | Capital E
F | &#70; | --- | Capital F
G | &#71; | --- | Capital G
H | &#72; | --- | Capital H
I | &#73; | --- | Capital I
J | &#74; | --- | Capital J
K | &#75; | --- | Capital K
L | &#76; | --- | Capital L
M | &#77; | --- | Capital M
N | &#78; | --- | Capital N
O | &#79; | --- | Capital O
P | &#80; | --- | Capital P
Q | &#81; | --- | Capital Q
R | &#82; | --- | Capital R
S | &#83; | --- | Capital S
T | &#84; | --- | Capital T
U | &#85; | --- | Capital U
V | &#86; | --- | Capital V
W | &#87; | --- | Capital W
X | &#88; | --- | Capital X
Y | &#89; | --- | Capital Y
Z | &#90; | --- | Capital Z
[ | &#91; | --- | Left square bracket
\ | &#92; | --- | Reverse solidus (backslash)
] | &#93; | --- | Right square bracket
^ | &#94; | --- | Caret
_ | &#95; | --- | Horizontal bar (underscore)
` | &#96; | --- | Acute accent
a | &#97; | --- | Small a
b | &#98; | --- | Small b
c | &#99; | --- | Small c
d | &#100; | --- | Small d
e | &#101; | --- | Small e
f | &#102; | --- | Small f
g | &#103; | --- | Small g
h | &#104; | --- | Small h
i | &#105; | --- | Small i
j | &#106; | --- | Small j
k | &#107; | --- | Small k
l | &#108; | --- | Small l
m | &#109; | --- | Small m
n | &#110; | --- | Small n
o | &#111; | --- | Small o
p | &#112; | --- | Small p
q | &#113; | --- | Small q
r | &#114; | --- | Small r
s | &#115; | --- | Small s
t | &#116; | --- | Small t
u | &#117; | --- | Small u
v | &#118; | --- | Small v
w | &#119; | --- | Small w
x | &#120; | --- | Small x
y | &#121; | --- | Small y
z | &#122; | --- | Small z
{ | &#123; | --- | Left curly brace
| | &#124; | --- | Vertical bar
} | &#125; | --- | Right curly brace
~ | &#126; | --- | Tilde
 | &#127; | --- | Unused
€ | &#128; | --- | Unused
 | &#160; | &nbsp; | Nonbreaking space
¡ | &#161; | &iexcl; | Inverted exclamation
¢ | &#162; | &cent; | Cent sign
£ | &#163; | &pound; | Pound sterling
¤ | &#164; | &curren; | General currency sign
¥ | &#165; | &yen; | Yen sign
¦ | &#166; | &brvbar; or &brkbar; | Broken vertical bar
§ | &#167; | &&sect; | Section sign
¨ | &#168; | &&um; or &&die; | Diæresis / Umlaut
© | &#169; | &&copy; | Copyright
ª | &#170; | &&ordf; | Feminine ordinal
« | &#171; | &&laquo; | Left angle quote, guillemot left
¬ | &#172; | &&not | Not sign
 | &#173; | &shy; | Soft hyphen
® | &#174; | &reg; | Registered trademark
¯ | &#175; | &macr; or &hibar; | Macron accent
° | &#176; | &deg; | Degree sign
± | &#177; | &plusmn; | Plus or minus
² | &#178; | &sup2; | Superscript two
³ | &#179; | &sup3; | Superscript three
´ | &#180; | &acute; | Acute accent
µ | &#181; | &micro; | Micro sign
¶ | &#182; | &para; | Paragraph sign
· | &#183; | &middot; | Middle dot
¸ | &#184; | &cedil; | Cedilla
¹ | &#185; | &sup1; | Superscript one
º | &#186; | &ordm; | Masculine ordinal
» | &#187; | &raquo; | Right angle quote, guillemot right
¼ | &#188; | &frac14; | Fraction one-fourth
½ | &#189; | &frac12; | Fraction one-half
¾ | &#190; | &frac34; | Fraction three-fourths
¿ | &#191; | &iquest; | Inverted question mark
À | &#192; | &Agrave; | Capital A, grave accent
Á | &#193; | &Aacute; | Capital A, acute accent
Â | &#194; | &Acirc; | Capital A, circumflex
Ã | &#195; | &Atilde; | Capital A, tilde
Ä | &#196; | &Auml; | Capital A, diæresis / umlaut
Å | &#197; | &Aring; | Capital A, ring
Æ | &#198; | &AElig; | Capital AE ligature
Ç | &#199; | &Ccedil; | Capital C, cedilla
È | &#200; | &Egrave; | Capital E, grave accent
É | &#201; | &Eacute; | Capital E, acute accent
Ê | &#202; | &Ecirc; | Capital E, circumflex
Ë | &#203; | &Euml; | Capital E, diæresis / umlaut
Ì | &#204; | &Igrave; | Capital I, grave accent
Í | &#205; | &Iacute; | Capital I, acute accent
Î | &#206; | &Icirc; | Capital I, circumflex
Ï | &#207; | &Iuml; | Capital I, diæresis / umlaut
Ð | &#208; | &ETH; | Capital Eth, Icelandic
Ñ | &#209; | &Ntilde; | Capital N, tilde
Ò | &#210; | &Ograve; | Capital O, grave accent
Ó | &#211; | &Oacute; | Capital O, acute accent
Ô | &#212; | &Ocirc; | Capital O, circumflex
Õ | &#213; | &Otilde; | Capital O, tilde
Ö | &#214; | &Ouml; | Capital O, diæresis / umlaut
× | &#215; | &times; | Multiply sign
Ø | &#216; | &Oslash; | Capital O, slash
Ù | &#217; | &Ugrave; | Capital U, grave accent
Ú | &#218; | &Uacute; | Capital U, acute accent
Û | &#219; | &Ucirc; | Capital U, circumflex
Ü | &#220; | &Uuml; | Capital U, diæresis / umlaut
Ý | &#221; | &Yacute; | Capital Y, acute accent
Þ | &#222; | &THORN; | Capital Thorn, Icelandic
ß | &#223; | &szlig; | Small sharp s, German sz
à | &#224; | &agrave; | Small a, grave accent
á | &#225; | &aacute; | Small a, acute accent
â | &#226; | &acirc; | Small a, circumflex
ã | &#227; | &atilde; | Small a, tilde
ä | &#228; | &auml; | Small a, diæresis / umlaut
å | &#229; | &aring; | Small a, ring
æ | &#230; | &aelig; | Small ae ligature
ç | &#231; | &ccedil; | Small c, cedilla
è | &#232; | &egrave; | Small e, grave accent
é | &#233; | &eacute; | Small e, acute accent
ê | &#234; | &ecirc; | Small e, circumflex
ë | &#235; | &euml; | Small e, diæresis / umlaut
ì | &#236; | &igrave; | Small i, grave accent
í | &#237; | &iacute; | Small i, acute accent
î | &#238; | &icirc; | Small i, circumflex
ï | &#239; | &iuml; | Small i, diæresis / umlaut
ð | &#240; | &eth; | Small eth, Icelandic
ñ | &#241; | &ntilde; | Small n, tilde
ò | &#242; | &ograve; | Small o, grave accent
ó | &#243; | &oacute; | Small o, acute accent
ô | &#244; | &ocirc; | Small o, circumflex
õ | &#245; | &otilde; | Small o, tilde
ö | &#246; | &ouml; | Small o, diæresis / umlaut
÷ | &#247; | &divide; | Division sign
ø | &#248; | &oslash; | Small o, slash
ù | &#249; | &ugrave; | Small u, grave accent
ú | &#250; | &uacute; | Small u, acute accent
û | &#251; | &ucirc; | Small u, circumflex
ü | &#252; | &uuml; | Small u, diæresis / umlaut
ý | &#253; | &yacute; | Small y, acute accent
þ | &#254; | &thorn; | Small thorn, Icelandic
ÿ | &#255; | &yuml; | Small y, diæresis / umlaut


Additional Named Entities for HTML

Character | Named entity | Numeric character reference | Description
Latin Extended-B |  |  |
ƒ | &fnof | &#402; | latin small f with hook, =function, =florin, U0192 ISOtech
Greek |  |  |
Α | &Alpha | &#913; | greek capital letter alpha, U0391
Β | &Beta | &#914; | greek capital letter beta, U0392
Γ | &Gamma | &#915; | greek capital letter gamma, U0393 ISOgrk3
Δ | &Delta | &#916; | greek capital letter delta, U0394 ISOgrk3
Ε | &Epsilon | &#917; | greek capital letter epsilon, U0395
Ζ | &Zeta | &#918; | greek capital letter zeta, U0396
Η | &Eta | &#919; | greek capital letter eta, U0397
Θ | &Theta | &#920; | greek capital letter theta, U0398 ISOgrk3
Ι | &Iota | &#921; | greek capital letter iota, U0399
Κ | &Kappa | &#922; | greek capital letter kappa, U039A
Λ | &Lambda | &#923; | greek capital letter lambda, U039B ISOgrk3
Μ | &Mu | &#924; | greek capital letter mu, U039C
Ν | &Nu | &#925; | greek capital letter nu, U039D
Ξ | &Xi | &#926; | greek capital letter xi, U039E ISOgrk3
Ο | &Omicron | &#927; | greek capital letter omicron, U039F
Π | &Pi | &#928; | greek capital letter pi, U03A0 ISOgrk3
Ρ | &Rho | &#929; | greek capital letter rho, U03A1
Σ | &Sigma | &#931; | greek capital letter sigma, U03A3 ISOgrk3
Τ | &Tau | &#932; | greek capital letter tau, U03A4
Υ | &Upsilon | &#933; | greek capital letter upsilon, U03A5 ISOgrk3
Φ | &Phi | &#934; | greek capital letter phi, U03A6 ISOgrk3
Χ | &Chi | &#935; | greek capital letter chi, U03A7
Ψ | &Psi | &#936; | greek capital letter psi, U03A8 ISOgrk3
Ω | &Omega | &#937; | greek capital letter omega, U03A9 ISOgrk3
a | &alpha | &#945; | greek small letter alpha, U03B1 ISOgrk3
b | &beta | &#946; | greek small letter beta, U03B2 ISOgrk3
g | &gamma | &#947; | greek small letter gamma, U03B3 ISOgrk3
d | &delta | &#948; | greek small letter delta, U03B4 ISOgrk3
ε | &epsilon | &#949; | greek small letter epsilon, U03B5 ISOgrk3
ζ | &zeta | &#950; | greek small letter zeta, U03B6 ISOgrk3
η | &eta | &#951; | greek small letter eta, U03B7 ISOgrk3
θ | &theta | &#952; | greek small letter theta, U03B8 ISOgrk3
ι | &iota | &#953; | greek small letter iota, U03B9 ISOgrk3
κ | &kappa | &#954; | greek small letter kappa, U03BA ISOgrk3
λ | &lambda | &#955; | greek small letter lambda, U03BB ISOgrk3
μ | &mu | &#956; | greek small letter mu, U03BC ISOgrk3
ν | &nu | &#957; | greek small letter nu, U03BD ISOgrk3
ξ | &xi | &#958; | greek small letter xi, U03BE ISOgrk3
µn; | &omicron | &#959; | greek small letter omicron, U03BF NEW
p | &pi | &#960; | greek small letter pi, U03C0 ISOgrk3
ρ | &rho | &#961; | greek small letter rho, U03C1 ISOgrk3
ς | &sigmaf | &#962; | greek small letter final sigma, U03C2 ISOgrk3
σ | &sigma | &#963; | greek small letter sigma, U03C3 ISOgrk3
τ | &tau | &#964; | greek small letter tau, U03C4 ISOgrk3
υ | &upsilon | &#965; | greek small letter upsilon, U03C5 ISOgrk3
φ | &phi | &#966; | greek small letter phi, U03C6 ISOgrk3
χ | &chi | &#967; | greek small letter chi, U03C7 ISOgrk3
ψ | &psi | &#968; | greek small letter psi, U03C8 ISOgrk3
ω | &omega | &#969; | greek small letter omega, U03C9 ISOgrk3
ϑ | &thetasym | &#977; | greek small letter theta symbol, U03D1 NEW
ϒ | &upsih | &#978; | greek upsilon with hook symbol, U03D2 NEW
ϖ | &piv | &#982; | greek pi symbol, U03D6 ISOgrk3
General Punctuation |  |  |
• | &bull | &#8226; | bullet, =black small circle, U2022 ISOpub
… | &hellip | &#8230; | horizontal ellipsis, =three dot leader, U2026 ISOpub
′ | &prime | &#8242; | prime, =minutes, =feet, U2032 ISOtech
″ | &Prime | &#8243; | double prime, =seconds, =inches, U2033 ISOtech
‾ | &oline | &#8254; | overline, =spacing overscore, U203E NEW
⁄ | &frasl | &#8260; | fraction slash, U2044 NEW
Letterlike Symbols |  |  |
℘ | &weierp | &#8472; | script capital P, =power set, =Weierstrass p, U2118 ISOamso
ℑ | &image | &#8465; | blackletter capital I, =imaginary part, U2111 ISOamso
ℜ | &real | &#8476; | blackletter capital R, =real part symbol, U211C ISOamso
™ | &trade | &#8482; | trade mark sign, U2122 ISOnum
ℵ | &alefsym | &#8501; | alef symbol, =first transfinite cardinal, U2135 NEW
Arrows |  |  |
← | &larr | &#8592; | leftward arrow, U2190 ISOnum
↑ | &uarr | &#8593; | upward arrow, U2191 ISOnum
→ | &rarr | &#8594; | rightward arrow, U2192 ISOnum
↓ | &darr | &#8595; | downward arrow, U2193 ISOnum
↔ | &harr | &#8596; | left right arrow, U2194 ISOamsa
↵ | &crarr | &#8629; | downward arrow with corner leftward, =carriage return, U21B5 NEW
⇐ | &lArr | &#8656; | leftward double arrow, U21D0 ISOtech
⇑ | &uArr | &#8657; | upward double arrow, U21D1 ISOamsa
⇒ | &rArr | &#8658; | rightward double arrow, U21D2 ISOtech
⇓ | &dArr | &#8659; | downward double arrow, U21D3 ISOamsa
⇔ | &hArr | &#8660; | left right double arrow, U21D4 ISOamsa
Mathematical Operators |  |  |
∀ | &forall | &#8704; | for all, U2200 ISOtech
∂ | &part | &#8706; | partial differential, U2202 ISOtech
∃ | &exist | &#8707; | there exists, U2203 ISOtech
∅ | &empty | &#8709; | empty set, =null set, =diameter, U2205 ISOamso
∇ | &nabla | &#8711; | nabla, =backward difference, U2207 ISOtech
∈ | &isin | &#8712; | element of, U2208 ISOtech
∉ | &notin | &#8713; | not an element of, U2209 ISOtech
∋ | &ni | &#8715; | contains as member, U220B ISOtech
∏ | &prod | &#8719; | n-ary product, =product sign, U220F ISOamsb
∑ | &sum | &#8722; | n-ary sumation, U2211 ISOamsb
− | &minus | &#8722; | minus sign, U2212 ISOtech
∗ | &lowast | &#8727; | asterisk operator, U2217 ISOtech
√ | &radic | &#8730; | square root, =radical sign, U221A ISOtech
∝ | &prop | &#8733; | proportional to, U221D ISOtech
∞ | &infin | &#8734; | infinity, U221E ISOtech
∠ | &ang | &#8736; | angle, U2220 ISOamso
∧ | &and | &#8869; | logical and, =wedge, U2227 ISOtech
∨ | &or | &#8870; | logical or, =vee, U2228 ISOtech
∩ | &cap | &#8745; | intersection, =cap, U2229 ISOtech
∪ | &cup | &#8746; | union, =cup, U222A ISOtech
∫ | &int | &#8747; | integral, U222B ISOtech
∴ | &there4 | &#8756; | therefore, U2234 ISOtech
∼ | &sim | &#8764; | tilde operator, =varies with, =similar to, U223C ISOtech
≅ | &cong | &#8773; | approximately equal to, U2245 ISOtech
≈ | &asymp | &#8773; | almost equal to, =asymptotic to, U2248 ISOamsr
≠ | &ne | &#8800; | not equal to, U2260 ISOtech
≡ | &equiv | &#8801; | identical to, U2261 ISOtech
≤ | &le | &#8804; | less-than or equal to, U2264 ISOtech
≥ | &ge | &#8805; | greater-than or equal to, U2265 ISOtech
⊂ | &sub | &#8834; | subset of, U2282 ISOtech
⊃ | &sup | &#8835; | superset of, U2283 ISOtech
⊄ | &nsub | &#8836; | not a subset of, U2284 ISOamsn
⊆ | &sube | &#8838; | subset of or equal to, U2286 ISOtech
⊇ | &supe | &#8839; | superset of or equal to, U2287 ISOtech
⊕ | &oplus | &#8853; | circled plus, =direct sum, U2295 ISOamsb
⊗ | &otimes | &#8855; | circled times, =vector product, U2297 ISOamsb
⊥ | &perp | &#8869; | up tack, =orthogonal to, =perpendicular, U22A5 ISOtech
⋅ | &sdot | &#8901; | dot operator, U22C5 ISOamsb
Miscellaneous Technical |  |  |
⌈ | &lceil | &#8968; | left ceiling, =apl upstile, U2308, ISOamsc
⌉ | &rceil | &#8969; | right ceiling, U2309, ISOamsc
⌊ | &lfloor | &#8970; | left floor, =apl downstile, U230A, ISOamsc
⌋ | &rfloor | &#8971; | right floor, U230B, ISOamsc
⟨ | &lang | &#9001; | left-pointing angle bracket, =bra, U2329 ISOtech
⟩ | &rang | &#9002; | right-pointing angle bracket, =ket, U232A ISOtech
Geometric Shapes |  |  |
◊ | &loz | &#9674; | lozenge, U25CA ISOpub
Miscellaneous Symbols |  |  |
♠ | &spades | &#9824; | black spade suit, U2660 ISOpub
♣ | &clubs | &#9827; | black club suit, =shamrock, U2663 ISOpub
♥ | &hearts | &#9829; | black heart suit, =valentine, U2665 ISOpub
♦ | &diams | &#9830; | black diamond suit, U2666 ISOpub

© 1997 Microsoft Corporation. All rights reserved. Terms of use..


Character Entities for Special Symbols and BIDI Text

Using NE | NE | NCR | Using NCR
C0 Controls and Basic Latin |  |  |
" | &quot | &#34; | quotation mark, =apl quote, U0022 ISOnum
& | &amp | &#38; | ampersand, U0026 ISOnum
< | &lt | &#60; | less-than sign, U003C ISOnum
> | &gt | &#62; | greater-than sign, U003E ISOnum
Latin Extended-A |  |  |
Œ | &OElig | &#338; | latin capital ligature oe, U0152 ISOlat2
œ | &oelig | &#339; | latin small ligature oe, U0153 ISOlat2
Š | &Scaron | &#352; | latin capital letter s with caron, U0160 ISOlat2
š | &scaron | &#353; | latin small letter s with caron, U0161 ISOlat2
Ÿ | &Yuml | &#376; | latin capital letter y with diaeresis, U0178 ISOlat2
Spacing Modifier Letters |  |  |
ˆ | &circ | &#710; | modifier letter circumflex accent, U02C6 ISOpub
˜ | &tilde | &#732; | small tilde, U02DC ISOdia
General Punctuation |  |  |
 | &ensp | &#8194; | en space, U2002 ISOpub
 | &emsp | &#8195; | em space, U2003 ISOpub
 | &thinsp | &#8201; | thin space, U2009 ISOpub
‌ | &zwnj | &#8204; | zero width non-joiner, U200C NEW RFC 2070
‍ | &zwj | &#8205; | zero width joiner, U200D NEW RFC 2070
‎ | &lrm | &#8206; | left-to-right mark, U200E NEW RFC 2070
‏ | &rlm | &#8207; | right-to-left mark, U200F NEW RFC 2070
– | &ndash | &#8211; | en dash, U2013 ISOpub
— | &mdash | &#8212; | em dash, U2014 ISOpub
‘ | &lsquo | &#8216; | left single quotation mark, U2018 ISOnum
’ | &rsquo | &#8217; | right single quotation mark, U2019 ISOnum
‚ | &sbquo | &#8218; | single low-9 quotation mark, U201A NEW
“ | &ldquo | &#8220; | left double quotation mark, U201C ISOnum
” | &rdquo | &#8221; | right double quotation mark, U201D ISOnum
„ | &bdquo | &#8222; | double low-9 quotation mark, U201E NEW
† | &dagger | &#8224; | dagger, U2020 ISOpub
‡ | &Dagger | &#8225; | double dagger, U2021 ISOpub
‰ | &permil | &#8240; | per mille sign, U2030 ISOtech
‹ | &lsaquo | &#8249; | single left-pointing angle quotation mark, U2039 ISO proposed
› | &rsaquo | &#8250; | single right-pointing angle quotation mark, U203A ISO proposed

© 1997 Microsoft Corporation. All rights reserved. Terms of use..


Character Set Recognition

Internet Explorer uses the character set specified for a document to determine how to translate the bytes in the document into characters on the screen or paper. By default, Internet Explorer uses the character set specified in the HTTP content type returned by the server to determine this translation. If this parameter is not given, Internet Explorer uses the character set specified by the META element in the document. It uses the user's preferences if no META element is given.

You can use the META element to explicitly set the character set for a document. In this case, you set the HTTP-EQUIV= attribute to "Content-Type" and specify a character set identifier in the CONTENT= attribute. For example, the following META element identifies Windows-1251 as the character set for the document.

<META HTTP-EQUIV="Content-Type"

CONTENT="text/html; CHARSET=Windows-1251"&gt;

As long as you place the META element before the BODY element, it affects the whole document, including the TITLE element. For clarity it should appear as the first element after HEAD so that all readers know the encoding before the first displayable is parsed. Note that the META element applies to the document containing it. This means, for example, that a compound document (a document consisting of two or more documents in a set of frames) can use different character sets in different frames.

Windows Codepage # | Display name | Preferred ID on SAVE | Aliases in Internet Explorer 4
1252 (See Note 1) | Western | iso-8859-1 except when 128-159 is used, use "Windows-1252" | iso-8859-1
28592 | Central European (ISO) | iso-8859-2 | iso8859-2, iso-8859-2, iso_8859-2, latin2, iso_8859-2:1987, iso-ir-101, l2, csISOLatin2
1250 | Central European (Windows) | Windows-1250 | Windows-1250, x-cp1250
1251 | Cyrillic (Windows) | Windows-1251 | Windows-1251, x-cp1251
1253 | Greek (Windows) | Windows-1253 | Windows-1253
1254 | Turkish (Windows) | Windows-1254 | Windows-1254
932 | Japanese (Shift-JIS) | shift_jis | shift_jis, x-sjis, ms_Kanji, csShiftJIS, x-ms-cp932
51932 | Japanese (EUC) | x-euc-jp | Extended_UNIX_Code_Packed_Format_for_Japanese, csEUCPkdFmtJapanese, x-euc-jp, x-euc
50220 | Japanese (JIS) | iso-2022-jp | csISO2022JP, iso-2022-jp
1257 | Baltic (Windows) | Windows-1257 | windows-1257
950 | Traditional Chinese (BIG5) | big5 | big5, csbig5, x-x-big5
936 | Simplified Chinese (GB2312) | gb2312 | GB_2312-80, iso-ir-58, chinese, csISO58GB231280, csGB2312, gb2312
20866 | Cyrillic (KOI8-R) | koi8-r | csKOI8R, koi8-r
949 (See Note 2) | Korean (KSC5601) | ks_c_5601 | euc-kr
1255 (logical) (See Note 3) | Hebrew (ISO-logical) | Windows-1255 | iso-8859-8i
1255 (visual) | Hebrew (ISO-Visual) | iso-8859-8 | ISO-8859-8 Visual, ISO-8859-8 , ISO_8859-8, visual
862 | Hebrew (DOS) | dos-862 | dos-862
1256 | Arabic (Windows) | Windows-1256 | Windows-1256
720 | Arabic (DOS) | dos-720 | dos-720
874 | Thai | Windows-874 | Windows-874
1258 | Vietnamese | Windows-1258 | Windows-1258
65001 | Unicode UTF-8 | UTF-8 | UTF-8, unicode-1-1-utf-8, unicode-2-0-utf-8
65000 | Unicode UTF-7 | UNICODE-1-1-UTF-7 | utf-7, UNICODE-1-1-UTF-7, csUnicode11UTF7, utf-7
50225 | Korean (ISO) | ISO-2022-KR | ISO-2022-KR, csISO2022KR
52936 (See Note 4) | Simplified Chinese (HZ) | HZ-GB-2312 | HZ-GB-2312
28594 | Baltic (ISO) | iso-8869-4 | ISO_8859-4:1988, iso-ir-110, ISO_8859-4, ISO-8859-4, latin4, l4, csISOLatin4
28585 | Cyrillic (ISO) | iso_8859-5 | ISO_8859-5:1988, iso-ir-144, ISO_8859-5, ISO-8859-5, cyrillic, csISOLatinCyrillic, csISOLatin5
28597 | Greek (ISO) | iso-8859-7 | ISO_8859-7:1987, iso-ir-126, ISO_8859-7, ISO-8859-7, ELOT_928, ECMA-118, greek, greek8, csISOLatinGreek
28599 | Turkish (ISO) | iso-8859-9 | ISO_8859-9:1989, iso-ir-148, ISO_8859-9, ISO-8859-9, latin5, l5, csISOLatin5

Notes: Source documents

Note 1: us-ascii, ascii, iso8859-1, iso_8859-1, iso-8859-1, ANSI_X3.4-1968, iso-ir-6, ANSI_X3.4-1986, ISO_646, irv:1991, ISO646-US, us, IBM367, cp367, csASCII, latin1, iso_8859-1:1987, iso-ir-100, ibm819, cp819, Windows-1252, x-ansi

Note 2: ks_c_5601, ks_c_5601-1987, korean, csKSC56011987, euc-kr

Note 3: ISO_8859-8:1988, iso-ir-138, hebrew, csISOLatinHebrew, Windows-1255, ISO_8859-8i , ISO_8859-8e, ISO-8859-8i, ISO-8859-8e , logical

Note 4: http://www.internic.net/rfc/rfc1843.txt